/* page-view.c generated by valac 0.40.19, the Vala compiler
 * generated from page-view.vala, do not modify */

/*
 * Copyright (C) 2009-2015 Canonical Ltd.
 * Author: Robert Ancell <robert.ancell@canonical.com>
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See http://www.gnu.org/copyleft/gpl.html the full text of the
 * license.
 */


#include <glib.h>
#include <glib-object.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>
#include <string.h>
#include <stdlib.h>
#include <cairo.h>

typedef enum  {
	CROP_LOCATION_NONE = 0,
	CROP_LOCATION_MIDDLE,
	CROP_LOCATION_TOP,
	CROP_LOCATION_BOTTOM,
	CROP_LOCATION_LEFT,
	CROP_LOCATION_RIGHT,
	CROP_LOCATION_TOP_LEFT,
	CROP_LOCATION_TOP_RIGHT,
	CROP_LOCATION_BOTTOM_LEFT,
	CROP_LOCATION_BOTTOM_RIGHT
} CropLocation;


#define TYPE_CROP_LOCATION (crop_location_get_type ())

#define TYPE_PAGE_VIEW (page_view_get_type ())
#define PAGE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PAGE_VIEW, PageView))
#define PAGE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PAGE_VIEW, PageViewClass))
#define IS_PAGE_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PAGE_VIEW))
#define IS_PAGE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PAGE_VIEW))
#define PAGE_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PAGE_VIEW, PageViewClass))

typedef struct _PageView PageView;
typedef struct _PageViewClass PageViewClass;
typedef struct _PageViewPrivate PageViewPrivate;

#define TYPE_PAGE (page_get_type ())
#define PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PAGE, Page))
#define PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PAGE, PageClass))
#define IS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PAGE))
#define IS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PAGE))
#define PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PAGE, PageClass))

typedef struct _Page Page;
typedef struct _PageClass PageClass;
typedef enum  {
	SCAN_DIRECTION_TOP_TO_BOTTOM,
	SCAN_DIRECTION_LEFT_TO_RIGHT,
	SCAN_DIRECTION_BOTTOM_TO_TOP,
	SCAN_DIRECTION_RIGHT_TO_LEFT
} ScanDirection;


#define TYPE_SCAN_DIRECTION (scan_direction_get_type ())
enum  {
	PAGE_VIEW_0_PROPERTY,
	PAGE_VIEW_PAGE_PROPERTY,
	PAGE_VIEW_SELECTED_PROPERTY,
	PAGE_VIEW_X_OFFSET_PROPERTY,
	PAGE_VIEW_Y_OFFSET_PROPERTY,
	PAGE_VIEW_CURSOR_PROPERTY,
	PAGE_VIEW_WIDTH_PROPERTY,
	PAGE_VIEW_HEIGHT_PROPERTY,
	PAGE_VIEW_NUM_PROPERTIES
};
static GParamSpec* page_view_properties[PAGE_VIEW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	PAGE_VIEW_SIZE_CHANGED_SIGNAL,
	PAGE_VIEW_CHANGED_SIGNAL,
	PAGE_VIEW_NUM_SIGNALS
};
static guint page_view_signals[PAGE_VIEW_NUM_SIGNALS] = {0};

struct _PageView {
	GObject parent_instance;
	PageViewPrivate * priv;
};

struct _PageViewClass {
	GObjectClass parent_class;
};

struct _PageViewPrivate {
	Page* _page;
	GdkPixbuf* image;
	gboolean selected_;
	gint ruler_width;
	gint border_width;
	gboolean update_image;
	ScanDirection scan_direction;
	gint scan_line;
	gint width_;
	gint height_;
	gint _x_offset;
	gint _y_offset;
	CropLocation crop_location;
	gdouble selected_crop_px;
	gdouble selected_crop_py;
	gint selected_crop_x;
	gint selected_crop_y;
	gint selected_crop_w;
	gint selected_crop_h;
	GdkCursorType _cursor;
	gint animate_n_segments;
	gint animate_segment;
	guint animate_timeout;
};


static gpointer page_view_parent_class = NULL;

GType crop_location_get_type (void) G_GNUC_CONST;
GType page_view_get_type (void) G_GNUC_CONST;
GType page_get_type (void) G_GNUC_CONST;
GType scan_direction_get_type (void) G_GNUC_CONST;
#define PAGE_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_PAGE_VIEW, PageViewPrivate))
Page* page_view_get_page (PageView* self);
static void page_view_page_pixels_changed_cb (PageView* self,
                                       Page* p);
static void _page_view_page_pixels_changed_cb_page_pixels_changed (Page* _sender,
                                                            gpointer self);
static void page_view_page_size_changed_cb (PageView* self,
                                     Page* p);
static void _page_view_page_size_changed_cb_page_size_changed (Page* _sender,
                                                        gpointer self);
static void page_view_page_overlay_changed_cb (PageView* self,
                                        Page* p);
static void _page_view_page_overlay_changed_cb_page_crop_changed (Page* _sender,
                                                           gpointer self);
static void _page_view_page_overlay_changed_cb_page_scan_line_changed (Page* _sender,
                                                                gpointer self);
static void page_view_scan_direction_changed_cb (PageView* self,
                                          Page* p);
static void _page_view_scan_direction_changed_cb_page_scan_direction_changed (Page* _sender,
                                                                       gpointer self);
PageView* page_view_new (Page* page);
PageView* page_view_construct (GType object_type,
                               Page* page);
static void page_view_set_page (PageView* self,
                         Page* value);
static guchar page_view_get_sample (PageView* self,
                             guchar* pixels,
                             int pixels_length1,
                             gint offset,
                             gint x,
                             gint depth,
                             gint sample);
static void page_view_get_pixel (PageView* self,
                          Page* page,
                          gint x,
                          gint y,
                          guchar* pixel,
                          int pixel_length1);
ScanDirection page_get_scan_direction (Page* self);
gint page_get_scan_width (Page* self);
gint page_get_scan_height (Page* self);
gint page_get_depth (Page* self);
gint page_get_n_channels (Page* self);
guchar* page_get_pixels (Page* self,
                         int* result_length1);
gint page_get_rowstride (Page* self);
static void page_view_set_pixel (PageView* self,
                          Page* page,
                          gdouble l,
                          gdouble r,
                          gdouble t,
                          gdouble b,
                          guchar* output,
                          int output_length1,
                          gint offset);
static void page_view_update_preview (PageView* self,
                               Page* page,
                               GdkPixbuf* * output_image,
                               gint output_width,
                               gint output_height,
                               ScanDirection scan_direction,
                               gint old_scan_line,
                               gint scan_line);
gint page_get_width (Page* self);
gint page_get_height (Page* self);
gboolean page_get_has_data (Page* self);
static gint page_view_get_preview_width (PageView* self);
static gint page_view_get_preview_height (PageView* self);
static void page_view_update_page_view (PageView* self);
gint page_get_scan_line (Page* self);
static gint page_view_page_to_screen_x (PageView* self,
                                 gint x);
static gint page_view_page_to_screen_y (PageView* self,
                                 gint y);
static gint page_view_screen_to_page_x (PageView* self,
                                 gint x);
static gint page_view_screen_to_page_y (PageView* self,
                                 gint y);
static CropLocation page_view_get_crop_location (PageView* self,
                                          gint x,
                                          gint y);
gboolean page_get_has_crop (Page* self);
gint page_get_crop_x (Page* self);
gint page_get_crop_y (Page* self);
gint page_get_crop_width (Page* self);
gint page_get_crop_height (Page* self);
const gchar* page_get_crop_name (Page* self);
void page_view_button_press (PageView* self,
                             gint x,
                             gint y);
void page_view_motion (PageView* self,
                       gint x,
                       gint y);
static void page_view_set_cursor (PageView* self,
                           GdkCursorType value);
void page_move_crop (Page* self,
                     gint x,
                     gint y);
void page_set_custom_crop (Page* self,
                           gint width,
                           gint height);
void page_view_button_release (PageView* self,
                               gint x,
                               gint y);
static gboolean page_view_animation_cb (PageView* self);
static void page_view_update_animation (PageView* self);
gboolean page_get_is_scanning (Page* self);
static gboolean _page_view_animation_cb_gsource_func (gpointer self);
void page_view_render (PageView* self,
                       cairo_t* context);
gint page_view_get_x_offset (PageView* self);
gint page_view_get_y_offset (PageView* self);
gint page_get_dpi (Page* self);
gboolean page_view_get_selected (PageView* self);
void page_view_set_selected (PageView* self,
                             gboolean value);
void page_view_set_x_offset (PageView* self,
                             gint value);
void page_view_set_y_offset (PageView* self,
                             gint value);
GdkCursorType page_view_get_cursor (PageView* self);
gint page_view_get_width (PageView* self);
void page_view_set_width (PageView* self,
                          gint value);
gint page_view_get_height (PageView* self);
void page_view_set_height (PageView* self,
                           gint value);
static void page_view_finalize (GObject * obj);
static void _vala_page_view_get_property (GObject * object,
                                   guint property_id,
                                   GValue * value,
                                   GParamSpec * pspec);
static void _vala_page_view_set_property (GObject * object,
                                   guint property_id,
                                   const GValue * value,
                                   GParamSpec * pspec);


GType
crop_location_get_type (void)
{
	static volatile gsize crop_location_type_id__volatile = 0;
	if (g_once_init_enter (&crop_location_type_id__volatile)) {
		static const GEnumValue values[] = {{CROP_LOCATION_NONE, "CROP_LOCATION_NONE", "none"}, {CROP_LOCATION_MIDDLE, "CROP_LOCATION_MIDDLE", "middle"}, {CROP_LOCATION_TOP, "CROP_LOCATION_TOP", "top"}, {CROP_LOCATION_BOTTOM, "CROP_LOCATION_BOTTOM", "bottom"}, {CROP_LOCATION_LEFT, "CROP_LOCATION_LEFT", "left"}, {CROP_LOCATION_RIGHT, "CROP_LOCATION_RIGHT", "right"}, {CROP_LOCATION_TOP_LEFT, "CROP_LOCATION_TOP_LEFT", "top-left"}, {CROP_LOCATION_TOP_RIGHT, "CROP_LOCATION_TOP_RIGHT", "top-right"}, {CROP_LOCATION_BOTTOM_LEFT, "CROP_LOCATION_BOTTOM_LEFT", "bottom-left"}, {CROP_LOCATION_BOTTOM_RIGHT, "CROP_LOCATION_BOTTOM_RIGHT", "bottom-right"}, {0, NULL, NULL}};
		GType crop_location_type_id;
		crop_location_type_id = g_enum_register_static ("CropLocation", values);
		g_once_init_leave (&crop_location_type_id__volatile, crop_location_type_id);
	}
	return crop_location_type_id__volatile;
}


static void
_page_view_page_pixels_changed_cb_page_pixels_changed (Page* _sender,
                                                       gpointer self)
{
#line 99 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_page_pixels_changed_cb ((PageView*) self, _sender);
#line 293 "page-view.c"
}


static void
_page_view_page_size_changed_cb_page_size_changed (Page* _sender,
                                                   gpointer self)
{
#line 100 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_page_size_changed_cb ((PageView*) self, _sender);
#line 303 "page-view.c"
}


static void
_page_view_page_overlay_changed_cb_page_crop_changed (Page* _sender,
                                                      gpointer self)
{
#line 101 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_page_overlay_changed_cb ((PageView*) self, _sender);
#line 313 "page-view.c"
}


static void
_page_view_page_overlay_changed_cb_page_scan_line_changed (Page* _sender,
                                                           gpointer self)
{
#line 102 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_page_overlay_changed_cb ((PageView*) self, _sender);
#line 323 "page-view.c"
}


static void
_page_view_scan_direction_changed_cb_page_scan_direction_changed (Page* _sender,
                                                                  gpointer self)
{
#line 103 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_scan_direction_changed_cb ((PageView*) self, _sender);
#line 333 "page-view.c"
}


PageView*
page_view_construct (GType object_type,
                     Page* page)
{
	PageView * self = NULL;
#line 87 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (page != NULL, NULL);
#line 87 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self = (PageView*) g_object_new (object_type, NULL);
#line 89 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_set_page (self, page);
#line 90 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_connect_object (page, "pixels-changed", (GCallback) _page_view_page_pixels_changed_cb_page_pixels_changed, self, 0);
#line 91 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_connect_object (page, "size-changed", (GCallback) _page_view_page_size_changed_cb_page_size_changed, self, 0);
#line 92 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_connect_object (page, "crop-changed", (GCallback) _page_view_page_overlay_changed_cb_page_crop_changed, self, 0);
#line 93 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_connect_object (page, "scan-line-changed", (GCallback) _page_view_page_overlay_changed_cb_page_scan_line_changed, self, 0);
#line 94 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_connect_object (page, "scan-direction-changed", (GCallback) _page_view_scan_direction_changed_cb_page_scan_direction_changed, self, 0);
#line 87 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return self;
#line 360 "page-view.c"
}


PageView*
page_view_new (Page* page)
{
#line 87 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return page_view_construct (TYPE_PAGE_VIEW, page);
#line 369 "page-view.c"
}


static guchar
page_view_get_sample (PageView* self,
                      guchar* pixels,
                      int pixels_length1,
                      gint offset,
                      gint x,
                      gint depth,
                      gint sample)
{
	guchar result = '\0';
#line 106 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, '\0');
#line 109 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = (guchar) 0xFF;
#line 109 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 389 "page-view.c"
}


static void
page_view_get_pixel (PageView* self,
                     Page* page,
                     gint x,
                     gint y,
                     guchar* pixel,
                     int pixel_length1)
{
	ScanDirection _tmp0_;
	ScanDirection _tmp1_;
	gint depth = 0;
	gint _tmp12_;
	gint _tmp13_;
	gint n_channels = 0;
	gint _tmp14_;
	gint _tmp15_;
	guchar* pixels = NULL;
	gint _tmp16_ = 0;
	guchar* _tmp17_;
	gint pixels_length1;
	gint _pixels_size_;
	gint offset = 0;
	gint _tmp18_;
	gint _tmp19_;
	gboolean _tmp20_ = FALSE;
	gint _tmp21_;
	guchar* _tmp59_;
	gint _tmp59__length1;
	gint _tmp60_;
	gint _tmp61_;
	gint _tmp62_;
	guchar* _tmp63_;
	gint _tmp63__length1;
	gint _tmp64_;
	gint _tmp65_;
	gint _tmp66_;
	guchar* _tmp67_;
	gint _tmp67__length1;
	gint _tmp68_;
	gint _tmp69_;
	gint _tmp70_;
#line 112 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (page != NULL);
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = page_get_scan_direction (page);
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = _tmp0_;
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	switch (_tmp1_) {
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case SCAN_DIRECTION_TOP_TO_BOTTOM:
#line 446 "page-view.c"
		{
#line 117 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 450 "page-view.c"
		}
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case SCAN_DIRECTION_BOTTOM_TO_TOP:
#line 454 "page-view.c"
		{
			gint _tmp2_;
			gint _tmp3_;
			gint _tmp4_;
			gint _tmp5_;
#line 119 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp2_ = page_get_scan_width (page);
#line 119 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp3_ = _tmp2_;
#line 119 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			x = (_tmp3_ - x) - 1;
#line 120 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp4_ = page_get_scan_height (page);
#line 120 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp5_ = _tmp4_;
#line 120 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			y = (_tmp5_ - y) - 1;
#line 121 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 474 "page-view.c"
		}
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case SCAN_DIRECTION_LEFT_TO_RIGHT:
#line 478 "page-view.c"
		{
			gint t = 0;
			gint _tmp6_;
			gint _tmp7_;
			gint _tmp8_;
#line 123 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			t = x;
#line 124 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp6_ = page_get_scan_width (page);
#line 124 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp7_ = _tmp6_;
#line 124 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			x = (_tmp7_ - y) - 1;
#line 125 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp8_ = t;
#line 125 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			y = _tmp8_;
#line 126 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 498 "page-view.c"
		}
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case SCAN_DIRECTION_RIGHT_TO_LEFT:
#line 502 "page-view.c"
		{
			gint t = 0;
			gint _tmp9_;
			gint _tmp10_;
			gint _tmp11_;
#line 128 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			t = x;
#line 129 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			x = y;
#line 130 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp9_ = page_get_scan_height (page);
#line 130 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp10_ = _tmp9_;
#line 130 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp11_ = t;
#line 130 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			y = (_tmp10_ - _tmp11_) - 1;
#line 131 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 522 "page-view.c"
		}
		default:
#line 114 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 527 "page-view.c"
	}
#line 134 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp12_ = page_get_depth (page);
#line 134 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp13_ = _tmp12_;
#line 134 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	depth = _tmp13_;
#line 135 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp14_ = page_get_n_channels (page);
#line 135 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp15_ = _tmp14_;
#line 135 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	n_channels = _tmp15_;
#line 136 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp17_ = page_get_pixels (page, &_tmp16_);
#line 136 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pixels = _tmp17_;
#line 136 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pixels_length1 = _tmp16_;
#line 136 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_pixels_size_ = pixels_length1;
#line 137 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp18_ = page_get_rowstride (page);
#line 137 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp19_ = _tmp18_;
#line 137 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	offset = _tmp19_ * y;
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp21_ = depth;
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp21_ == 8) {
#line 559 "page-view.c"
		gint _tmp22_;
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp22_ = n_channels;
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp20_ = _tmp22_ == 3;
#line 565 "page-view.c"
	} else {
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp20_ = FALSE;
#line 569 "page-view.c"
	}
#line 140 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp20_) {
#line 573 "page-view.c"
		gint o = 0;
		gint _tmp23_;
		gint _tmp24_;
		guchar* _tmp25_;
		gint _tmp25__length1;
		gint _tmp26_;
		guchar _tmp27_;
		guchar* _tmp28_;
		gint _tmp28__length1;
		gint _tmp29_;
		guchar _tmp30_;
		guchar* _tmp31_;
		gint _tmp31__length1;
		gint _tmp32_;
		guchar _tmp33_;
#line 142 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp23_ = offset;
#line 142 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp24_ = n_channels;
#line 142 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		o = _tmp23_ + (x * _tmp24_);
#line 143 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp25_ = pixels;
#line 143 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp25__length1 = pixels_length1;
#line 143 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp26_ = o;
#line 143 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp27_ = _tmp25_[_tmp26_];
#line 143 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		pixel[0] = _tmp27_;
#line 144 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp28_ = pixels;
#line 144 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp28__length1 = pixels_length1;
#line 144 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp29_ = o;
#line 144 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp30_ = _tmp28_[_tmp29_ + 1];
#line 144 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		pixel[1] = _tmp30_;
#line 145 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31_ = pixels;
#line 145 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31__length1 = pixels_length1;
#line 145 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp32_ = o;
#line 145 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp33_ = _tmp31_[_tmp32_ + 2];
#line 145 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		pixel[2] = _tmp33_;
#line 146 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 627 "page-view.c"
	} else {
		gboolean _tmp34_ = FALSE;
		gint _tmp35_;
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp35_ = depth;
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp35_ == 8) {
#line 635 "page-view.c"
			gint _tmp36_;
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp36_ = n_channels;
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp34_ = _tmp36_ == 1;
#line 641 "page-view.c"
		} else {
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp34_ = FALSE;
#line 645 "page-view.c"
		}
#line 148 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp34_) {
#line 649 "page-view.c"
			guchar* _tmp37_;
			gint _tmp37__length1;
			gint _tmp38_;
			guchar _tmp39_;
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp37_ = pixels;
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp37__length1 = pixels_length1;
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp38_ = offset;
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp39_ = _tmp37_[_tmp38_ + x];
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			pixel[2] = _tmp39_;
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			pixel[1] = pixel[2];
#line 150 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			pixel[0] = pixel[1];
#line 151 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			return;
#line 670 "page-view.c"
		} else {
			gboolean _tmp40_ = FALSE;
			gint _tmp41_;
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp41_ = depth;
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			if (_tmp41_ == 1) {
#line 678 "page-view.c"
				gint _tmp42_;
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp42_ = n_channels;
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp40_ = _tmp42_ == 1;
#line 684 "page-view.c"
			} else {
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp40_ = FALSE;
#line 688 "page-view.c"
			}
#line 155 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			if (_tmp40_) {
#line 692 "page-view.c"
				gint o = 0;
				gint _tmp43_;
				gint _tmp44_ = 0;
				guchar* _tmp45_;
				gint _tmp45__length1;
				gint _tmp46_;
				guchar _tmp47_;
#line 157 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp43_ = offset;
#line 157 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				o = _tmp43_ + (x / 8);
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp45_ = pixels;
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp45__length1 = pixels_length1;
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp46_ = o;
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp47_ = _tmp45_[_tmp46_];
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (((gint) (_tmp47_ & (0x80 >> (x % 8)))) != 0) {
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp44_ = 0x00;
#line 716 "page-view.c"
				} else {
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp44_ = 0xFF;
#line 720 "page-view.c"
				}
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				pixel[2] = (guchar) _tmp44_;
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				pixel[1] = pixel[2];
#line 158 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				pixel[0] = pixel[1];
#line 159 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				return;
#line 730 "page-view.c"
			} else {
				gboolean _tmp48_ = FALSE;
				gint _tmp49_;
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp49_ = depth;
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (_tmp49_ == 2) {
#line 738 "page-view.c"
					gint _tmp50_;
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp50_ = n_channels;
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp48_ = _tmp50_ == 1;
#line 744 "page-view.c"
				} else {
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp48_ = FALSE;
#line 748 "page-view.c"
				}
#line 163 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (_tmp48_) {
#line 752 "page-view.c"
					gint block_shift[4] = {0};
					gint _tmp51_[4] = {0};
					gint o = 0;
					gint _tmp52_;
					gint sample = 0;
					guchar* _tmp53_;
					gint _tmp53__length1;
					gint _tmp54_;
					guchar _tmp55_;
					gint _tmp56_;
					gint _tmp57_;
					gint _tmp58_;
#line 165 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp51_[0] = 6;
#line 165 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp51_[1] = 4;
#line 165 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp51_[2] = 2;
#line 165 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp51_[3] = 0;
#line 165 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					memcpy (block_shift, _tmp51_, 4 * sizeof (gint));
#line 167 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp52_ = offset;
#line 167 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					o = _tmp52_ + (x / 4);
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp53_ = pixels;
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp53__length1 = pixels_length1;
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp54_ = o;
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp55_ = _tmp53_[_tmp54_];
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp56_ = block_shift[x % 4];
#line 168 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					sample = (_tmp55_ >> _tmp56_) & 0x3;
#line 169 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp57_ = sample;
#line 169 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					sample = (_tmp57_ * 255) / 3;
#line 171 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp58_ = sample;
#line 171 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					pixel[2] = (guchar) _tmp58_;
#line 171 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					pixel[1] = pixel[2];
#line 171 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					pixel[0] = pixel[1];
#line 172 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					return;
#line 805 "page-view.c"
				}
			}
		}
	}
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp59_ = pixels;
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp59__length1 = pixels_length1;
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp60_ = offset;
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp61_ = depth;
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp62_ = n_channels;
#line 176 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pixel[0] = page_view_get_sample (self, _tmp59_, _tmp59__length1, _tmp60_, x, _tmp61_, x * _tmp62_);
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp63_ = pixels;
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp63__length1 = pixels_length1;
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp64_ = offset;
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp65_ = depth;
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp66_ = n_channels;
#line 177 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pixel[1] = page_view_get_sample (self, _tmp63_, _tmp63__length1, _tmp64_, x, _tmp65_, (x * _tmp66_) + 1);
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp67_ = pixels;
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp67__length1 = pixels_length1;
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp68_ = offset;
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp69_ = depth;
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp70_ = n_channels;
#line 178 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pixel[2] = page_view_get_sample (self, _tmp67_, _tmp67__length1, _tmp68_, x, _tmp69_, (x * _tmp70_) + 2);
#line 846 "page-view.c"
}


static void
page_view_set_pixel (PageView* self,
                     Page* page,
                     gdouble l,
                     gdouble r,
                     gdouble t,
                     gdouble b,
                     guchar* output,
                     int output_length1,
                     gint offset)
{
	gint L = 0;
	gint _tmp0_;
	gint R = 0;
	gint T = 0;
	gint _tmp2_;
	gint B = 0;
	gdouble red = 0.0;
	gdouble green = 0.0;
	gdouble blue = 0.0;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp165_ = FALSE;
	gint _tmp166_;
	gboolean _tmp182_ = FALSE;
	gint _tmp183_;
	gboolean _tmp199_ = FALSE;
	gint _tmp200_;
	gboolean _tmp216_ = FALSE;
	gint _tmp217_;
	gdouble scale = 0.0;
	gdouble _tmp233_;
	gdouble _tmp234_;
	gdouble _tmp235_;
	gdouble _tmp236_;
	gdouble _tmp237_;
	gdouble _tmp238_;
#line 181 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (page != NULL);
#line 227 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	L = (gint) l;
#line 228 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = L;
#line 228 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (((gdouble) _tmp0_) != l) {
#line 897 "page-view.c"
		gint _tmp1_;
#line 229 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp1_ = L;
#line 229 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		L = _tmp1_ + 1;
#line 903 "page-view.c"
	}
#line 230 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	R = (gint) r;
#line 231 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	T = (gint) t;
#line 232 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = T;
#line 232 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (((gdouble) _tmp2_) != t) {
#line 913 "page-view.c"
		gint _tmp3_;
#line 233 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp3_ = T;
#line 233 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		T = _tmp3_ + 1;
#line 919 "page-view.c"
	}
#line 234 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	B = (gint) b;
#line 236 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	red = 0.0;
#line 237 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	green = 0.0;
#line 238 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	blue = 0.0;
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if ((r - l) <= 1.0) {
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = ((gint) r) == ((gint) l);
#line 933 "page-view.c"
	} else {
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = FALSE;
#line 937 "page-view.c"
	}
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp5_) {
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = TRUE;
#line 943 "page-view.c"
	} else {
		gboolean _tmp6_ = FALSE;
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if ((b - t) <= 1.0) {
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp6_ = ((gint) b) == ((gint) t);
#line 950 "page-view.c"
		} else {
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp6_ = FALSE;
#line 954 "page-view.c"
		}
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = _tmp6_;
#line 958 "page-view.c"
	}
#line 249 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp4_) {
#line 962 "page-view.c"
		gboolean _tmp7_ = FALSE;
		gint _tmp11_;
		gint _tmp12_;
		gdouble scale = 0.0;
		gdouble _tmp83_;
		gdouble _tmp84_;
		gdouble _tmp85_;
		gdouble _tmp86_;
		gdouble _tmp87_;
		gdouble _tmp88_;
#line 252 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (((gint) l) == ((gint) r)) {
#line 252 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp7_ = TRUE;
#line 977 "page-view.c"
		} else {
#line 252 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp7_ = ((gint) t) == ((gint) b);
#line 981 "page-view.c"
		}
#line 252 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp7_) {
#line 985 "page-view.c"
			guchar p[3] = {0};
			guchar _tmp8_;
			guchar _tmp9_;
			guchar _tmp10_;
#line 255 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			page_view_get_pixel (self, page, (gint) l, (gint) t, p, 3);
#line 256 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp8_ = p[0];
#line 256 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			output[offset] = _tmp8_;
#line 257 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp9_ = p[1];
#line 257 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			output[offset + 1] = _tmp9_;
#line 258 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp10_ = p[2];
#line 258 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			output[offset + 2] = _tmp10_;
#line 259 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			return;
#line 1006 "page-view.c"
		}
#line 263 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp11_ = L;
#line 263 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp12_ = R;
#line 263 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp11_ > _tmp12_) {
#line 1014 "page-view.c"
			guchar p[3] = {0};
			gint _tmp13_;
			gint _tmp14_;
			gdouble _tmp15_;
			guchar _tmp16_;
			gint _tmp17_;
			gdouble _tmp18_;
			guchar _tmp19_;
			gint _tmp20_;
			gdouble _tmp21_;
			guchar _tmp22_;
			gint _tmp23_;
			gint _tmp37_;
			gint _tmp38_;
			gdouble _tmp39_;
			guchar _tmp40_;
			gint _tmp41_;
			gdouble _tmp42_;
			guchar _tmp43_;
			gint _tmp44_;
			gdouble _tmp45_;
			guchar _tmp46_;
			gint _tmp47_;
#line 266 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp13_ = R;
#line 266 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp14_ = T;
#line 266 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			page_view_get_pixel (self, page, _tmp13_, _tmp14_ - 1, p, 3);
#line 267 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp15_ = red;
#line 267 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp16_ = p[0];
#line 267 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp17_ = T;
#line 267 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			red = _tmp15_ + ((_tmp16_ * (r - l)) * (_tmp17_ - t));
#line 268 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp18_ = green;
#line 268 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp19_ = p[1];
#line 268 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp20_ = T;
#line 268 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			green = _tmp18_ + ((_tmp19_ * (r - l)) * (_tmp20_ - t));
#line 269 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp21_ = blue;
#line 269 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp22_ = p[2];
#line 269 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp23_ = T;
#line 269 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			blue = _tmp21_ + ((_tmp22_ * (r - l)) * (_tmp23_ - t));
#line 1068 "page-view.c"
			{
				gint y = 0;
				gint _tmp24_;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp24_ = T;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y = _tmp24_;
#line 1076 "page-view.c"
				{
					gboolean _tmp25_ = FALSE;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp25_ = TRUE;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					while (TRUE) {
#line 1083 "page-view.c"
						gint _tmp27_;
						gint _tmp28_;
						gint _tmp29_;
						gint _tmp30_;
						gdouble _tmp31_;
						guchar _tmp32_;
						gdouble _tmp33_;
						guchar _tmp34_;
						gdouble _tmp35_;
						guchar _tmp36_;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						if (!_tmp25_) {
#line 1096 "page-view.c"
							gint _tmp26_;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp26_ = y;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							y = _tmp26_ + 1;
#line 1102 "page-view.c"
						}
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp25_ = FALSE;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp27_ = y;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp28_ = B;
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						if (!(_tmp27_ < _tmp28_)) {
#line 270 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							break;
#line 1114 "page-view.c"
						}
#line 272 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp29_ = R;
#line 272 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp30_ = y;
#line 272 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						page_view_get_pixel (self, page, _tmp29_, _tmp30_, p, 3);
#line 273 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp31_ = red;
#line 273 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp32_ = p[0];
#line 273 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						red = _tmp31_ + (_tmp32_ * (r - l));
#line 274 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp33_ = green;
#line 274 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp34_ = p[1];
#line 274 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						green = _tmp33_ + (_tmp34_ * (r - l));
#line 275 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp35_ = blue;
#line 275 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp36_ = p[2];
#line 275 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						blue = _tmp35_ + (_tmp36_ * (r - l));
#line 1140 "page-view.c"
					}
				}
			}
#line 277 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp37_ = R;
#line 277 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp38_ = B;
#line 277 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			page_view_get_pixel (self, page, _tmp37_, _tmp38_, p, 3);
#line 278 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp39_ = red;
#line 278 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp40_ = p[0];
#line 278 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp41_ = B;
#line 278 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			red = _tmp39_ + ((_tmp40_ * (r - l)) * (b - _tmp41_));
#line 279 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp42_ = green;
#line 279 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp43_ = p[1];
#line 279 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp44_ = B;
#line 279 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			green = _tmp42_ + ((_tmp43_ * (r - l)) * (b - _tmp44_));
#line 280 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp45_ = blue;
#line 280 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp46_ = p[2];
#line 280 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp47_ = B;
#line 280 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			blue = _tmp45_ + ((_tmp46_ * (r - l)) * (b - _tmp47_));
#line 1174 "page-view.c"
		} else {
			guchar p[3] = {0};
			gint _tmp48_;
			gint _tmp49_;
			gdouble _tmp50_;
			guchar _tmp51_;
			gint _tmp52_;
			gdouble _tmp53_;
			guchar _tmp54_;
			gint _tmp55_;
			gdouble _tmp56_;
			guchar _tmp57_;
			gint _tmp58_;
			gint _tmp72_;
			gint _tmp73_;
			gdouble _tmp74_;
			guchar _tmp75_;
			gint _tmp76_;
			gdouble _tmp77_;
			guchar _tmp78_;
			gint _tmp79_;
			gdouble _tmp80_;
			guchar _tmp81_;
			gint _tmp82_;
#line 286 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp48_ = L;
#line 286 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp49_ = B;
#line 286 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			page_view_get_pixel (self, page, _tmp48_ - 1, _tmp49_, p, 3);
#line 287 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp50_ = red;
#line 287 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp51_ = p[0];
#line 287 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp52_ = L;
#line 287 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			red = _tmp50_ + ((_tmp51_ * (b - t)) * (_tmp52_ - l));
#line 288 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp53_ = green;
#line 288 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp54_ = p[1];
#line 288 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp55_ = L;
#line 288 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			green = _tmp53_ + ((_tmp54_ * (b - t)) * (_tmp55_ - l));
#line 289 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp56_ = blue;
#line 289 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp57_ = p[2];
#line 289 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp58_ = L;
#line 289 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			blue = _tmp56_ + ((_tmp57_ * (b - t)) * (_tmp58_ - l));
#line 1229 "page-view.c"
			{
				gint x = 0;
				gint _tmp59_;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp59_ = L;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x = _tmp59_;
#line 1237 "page-view.c"
				{
					gboolean _tmp60_ = FALSE;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp60_ = TRUE;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					while (TRUE) {
#line 1244 "page-view.c"
						gint _tmp62_;
						gint _tmp63_;
						gint _tmp64_;
						gint _tmp65_;
						gdouble _tmp66_;
						guchar _tmp67_;
						gdouble _tmp68_;
						guchar _tmp69_;
						gdouble _tmp70_;
						guchar _tmp71_;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						if (!_tmp60_) {
#line 1257 "page-view.c"
							gint _tmp61_;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp61_ = x;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							x = _tmp61_ + 1;
#line 1263 "page-view.c"
						}
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp60_ = FALSE;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp62_ = x;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp63_ = R;
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						if (!(_tmp62_ < _tmp63_)) {
#line 290 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							break;
#line 1275 "page-view.c"
						}
#line 291 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp64_ = x;
#line 291 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp65_ = B;
#line 291 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						page_view_get_pixel (self, page, _tmp64_, _tmp65_, p, 3);
#line 292 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp66_ = red;
#line 292 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp67_ = p[0];
#line 292 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						red = _tmp66_ + (_tmp67_ * (b - t));
#line 293 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp68_ = green;
#line 293 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp69_ = p[1];
#line 293 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						green = _tmp68_ + (_tmp69_ * (b - t));
#line 294 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp70_ = blue;
#line 294 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp71_ = p[2];
#line 294 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						blue = _tmp70_ + (_tmp71_ * (b - t));
#line 1301 "page-view.c"
					}
				}
			}
#line 296 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp72_ = R;
#line 296 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp73_ = B;
#line 296 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			page_view_get_pixel (self, page, _tmp72_, _tmp73_, p, 3);
#line 297 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp74_ = red;
#line 297 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp75_ = p[0];
#line 297 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp76_ = R;
#line 297 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			red = _tmp74_ + ((_tmp75_ * (b - t)) * (r - _tmp76_));
#line 298 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp77_ = green;
#line 298 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp78_ = p[1];
#line 298 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp79_ = R;
#line 298 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			green = _tmp77_ + ((_tmp78_ * (b - t)) * (r - _tmp79_));
#line 299 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp80_ = blue;
#line 299 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp81_ = p[2];
#line 299 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp82_ = R;
#line 299 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			blue = _tmp80_ + ((_tmp81_ * (b - t)) * (r - _tmp82_));
#line 1335 "page-view.c"
		}
#line 302 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		scale = 1.0 / ((r - l) * (b - t));
#line 303 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp83_ = red;
#line 303 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp84_ = scale;
#line 303 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		output[offset] = (guchar) ((_tmp83_ * _tmp84_) + 0.5);
#line 304 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp85_ = green;
#line 304 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp86_ = scale;
#line 304 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		output[offset + 1] = (guchar) ((_tmp85_ * _tmp86_) + 0.5);
#line 305 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp87_ = blue;
#line 305 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp88_ = scale;
#line 305 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		output[offset + 2] = (guchar) ((_tmp87_ * _tmp88_) + 0.5);
#line 306 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 1359 "page-view.c"
	}
	{
		gint x = 0;
		gint _tmp89_;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp89_ = L;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		x = _tmp89_;
#line 1368 "page-view.c"
		{
			gboolean _tmp90_ = FALSE;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp90_ = TRUE;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			while (TRUE) {
#line 1375 "page-view.c"
				gint _tmp92_;
				gint _tmp93_;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!_tmp90_) {
#line 1380 "page-view.c"
					gint _tmp91_;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp91_ = x;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					x = _tmp91_ + 1;
#line 1386 "page-view.c"
				}
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp90_ = FALSE;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp92_ = x;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp93_ = R;
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!(_tmp92_ < _tmp93_)) {
#line 310 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					break;
#line 1398 "page-view.c"
				}
				{
					gint y = 0;
					gint _tmp94_;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp94_ = T;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					y = _tmp94_;
#line 1407 "page-view.c"
					{
						gboolean _tmp95_ = FALSE;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp95_ = TRUE;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						while (TRUE) {
#line 1414 "page-view.c"
							gint _tmp97_;
							gint _tmp98_;
							guchar p[3] = {0};
							gint _tmp99_;
							gint _tmp100_;
							gdouble _tmp101_;
							guchar _tmp102_;
							gdouble _tmp103_;
							guchar _tmp104_;
							gdouble _tmp105_;
							guchar _tmp106_;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							if (!_tmp95_) {
#line 1428 "page-view.c"
								gint _tmp96_;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp96_ = y;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								y = _tmp96_ + 1;
#line 1434 "page-view.c"
							}
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp95_ = FALSE;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp97_ = y;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp98_ = B;
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							if (!(_tmp97_ < _tmp98_)) {
#line 312 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								break;
#line 1446 "page-view.c"
							}
#line 315 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp99_ = x;
#line 315 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp100_ = y;
#line 315 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							page_view_get_pixel (self, page, _tmp99_, _tmp100_, p, 3);
#line 316 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp101_ = red;
#line 316 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp102_ = p[0];
#line 316 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							red = _tmp101_ + _tmp102_;
#line 317 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp103_ = green;
#line 317 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp104_ = p[1];
#line 317 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							green = _tmp103_ + _tmp104_;
#line 318 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp105_ = blue;
#line 318 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp106_ = p[2];
#line 318 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							blue = _tmp105_ + _tmp106_;
#line 1472 "page-view.c"
						}
					}
				}
			}
		}
	}
	{
		gint x = 0;
		gint _tmp107_;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp107_ = L;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		x = _tmp107_;
#line 1486 "page-view.c"
		{
			gboolean _tmp108_ = FALSE;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp108_ = TRUE;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			while (TRUE) {
#line 1493 "page-view.c"
				gint _tmp110_;
				gint _tmp111_;
				gint _tmp112_;
				gint _tmp124_;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!_tmp108_) {
#line 1500 "page-view.c"
					gint _tmp109_;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp109_ = x;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					x = _tmp109_ + 1;
#line 1506 "page-view.c"
				}
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp108_ = FALSE;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp110_ = x;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp111_ = R;
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!(_tmp110_ < _tmp111_)) {
#line 323 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					break;
#line 1518 "page-view.c"
				}
#line 325 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp112_ = T;
#line 325 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (t != ((gdouble) _tmp112_)) {
#line 1524 "page-view.c"
					guchar p[3] = {0};
					gint _tmp113_;
					gint _tmp114_;
					gdouble _tmp115_;
					guchar _tmp116_;
					gint _tmp117_;
					gdouble _tmp118_;
					guchar _tmp119_;
					gint _tmp120_;
					gdouble _tmp121_;
					guchar _tmp122_;
					gint _tmp123_;
#line 328 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp113_ = x;
#line 328 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp114_ = T;
#line 328 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					page_view_get_pixel (self, page, _tmp113_, _tmp114_ - 1, p, 3);
#line 329 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp115_ = red;
#line 329 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp116_ = p[0];
#line 329 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp117_ = T;
#line 329 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					red = _tmp115_ + (_tmp116_ * (_tmp117_ - t));
#line 330 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp118_ = green;
#line 330 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp119_ = p[1];
#line 330 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp120_ = T;
#line 330 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					green = _tmp118_ + (_tmp119_ * (_tmp120_ - t));
#line 331 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp121_ = blue;
#line 331 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp122_ = p[2];
#line 331 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp123_ = T;
#line 331 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					blue = _tmp121_ + (_tmp122_ * (_tmp123_ - t));
#line 1567 "page-view.c"
				}
#line 334 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp124_ = B;
#line 334 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (b != ((gdouble) _tmp124_)) {
#line 1573 "page-view.c"
					guchar p[3] = {0};
					gint _tmp125_;
					gint _tmp126_;
					gdouble _tmp127_;
					guchar _tmp128_;
					gint _tmp129_;
					gdouble _tmp130_;
					guchar _tmp131_;
					gint _tmp132_;
					gdouble _tmp133_;
					guchar _tmp134_;
					gint _tmp135_;
#line 337 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp125_ = x;
#line 337 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp126_ = B;
#line 337 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					page_view_get_pixel (self, page, _tmp125_, _tmp126_, p, 3);
#line 338 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp127_ = red;
#line 338 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp128_ = p[0];
#line 338 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp129_ = B;
#line 338 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					red = _tmp127_ + (_tmp128_ * (b - _tmp129_));
#line 339 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp130_ = green;
#line 339 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp131_ = p[1];
#line 339 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp132_ = B;
#line 339 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					green = _tmp130_ + (_tmp131_ * (b - _tmp132_));
#line 340 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp133_ = blue;
#line 340 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp134_ = p[2];
#line 340 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp135_ = B;
#line 340 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					blue = _tmp133_ + (_tmp134_ * (b - _tmp135_));
#line 1616 "page-view.c"
				}
			}
		}
	}
	{
		gint y = 0;
		gint _tmp136_;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp136_ = T;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		y = _tmp136_;
#line 1628 "page-view.c"
		{
			gboolean _tmp137_ = FALSE;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp137_ = TRUE;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			while (TRUE) {
#line 1635 "page-view.c"
				gint _tmp139_;
				gint _tmp140_;
				gint _tmp141_;
				gint _tmp153_;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!_tmp137_) {
#line 1642 "page-view.c"
					gint _tmp138_;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp138_ = y;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					y = _tmp138_ + 1;
#line 1648 "page-view.c"
				}
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp137_ = FALSE;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp139_ = y;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp140_ = B;
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!(_tmp139_ < _tmp140_)) {
#line 345 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					break;
#line 1660 "page-view.c"
				}
#line 347 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp141_ = L;
#line 347 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (l != ((gdouble) _tmp141_)) {
#line 1666 "page-view.c"
					guchar p[3] = {0};
					gint _tmp142_;
					gint _tmp143_;
					gdouble _tmp144_;
					guchar _tmp145_;
					gint _tmp146_;
					gdouble _tmp147_;
					guchar _tmp148_;
					gint _tmp149_;
					gdouble _tmp150_;
					guchar _tmp151_;
					gint _tmp152_;
#line 350 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp142_ = L;
#line 350 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp143_ = y;
#line 350 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					page_view_get_pixel (self, page, _tmp142_ - 1, _tmp143_, p, 3);
#line 351 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp144_ = red;
#line 351 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp145_ = p[0];
#line 351 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp146_ = L;
#line 351 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					red = _tmp144_ + (_tmp145_ * (_tmp146_ - l));
#line 352 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp147_ = green;
#line 352 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp148_ = p[1];
#line 352 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp149_ = L;
#line 352 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					green = _tmp147_ + (_tmp148_ * (_tmp149_ - l));
#line 353 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp150_ = blue;
#line 353 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp151_ = p[2];
#line 353 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp152_ = L;
#line 353 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					blue = _tmp150_ + (_tmp151_ * (_tmp152_ - l));
#line 1709 "page-view.c"
				}
#line 356 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp153_ = R;
#line 356 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (r != ((gdouble) _tmp153_)) {
#line 1715 "page-view.c"
					guchar p[3] = {0};
					gint _tmp154_;
					gint _tmp155_;
					gdouble _tmp156_;
					guchar _tmp157_;
					gint _tmp158_;
					gdouble _tmp159_;
					guchar _tmp160_;
					gint _tmp161_;
					gdouble _tmp162_;
					guchar _tmp163_;
					gint _tmp164_;
#line 359 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp154_ = R;
#line 359 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp155_ = y;
#line 359 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					page_view_get_pixel (self, page, _tmp154_, _tmp155_, p, 3);
#line 360 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp156_ = red;
#line 360 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp157_ = p[0];
#line 360 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp158_ = R;
#line 360 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					red = _tmp156_ + (_tmp157_ * (r - _tmp158_));
#line 361 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp159_ = green;
#line 361 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp160_ = p[1];
#line 361 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp161_ = R;
#line 361 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					green = _tmp159_ + (_tmp160_ * (r - _tmp161_));
#line 362 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp162_ = blue;
#line 362 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp163_ = p[2];
#line 362 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp164_ = R;
#line 362 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					blue = _tmp162_ + (_tmp163_ * (r - _tmp164_));
#line 1758 "page-view.c"
				}
			}
		}
	}
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp166_ = L;
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (l != ((gdouble) _tmp166_)) {
#line 1767 "page-view.c"
		gint _tmp167_;
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp167_ = T;
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp165_ = t != ((gdouble) _tmp167_);
#line 1773 "page-view.c"
	} else {
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp165_ = FALSE;
#line 1777 "page-view.c"
	}
#line 367 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp165_) {
#line 1781 "page-view.c"
		guchar p[3] = {0};
		gint _tmp168_;
		gint _tmp169_;
		gdouble _tmp170_;
		guchar _tmp171_;
		gint _tmp172_;
		gint _tmp173_;
		gdouble _tmp174_;
		guchar _tmp175_;
		gint _tmp176_;
		gint _tmp177_;
		gdouble _tmp178_;
		guchar _tmp179_;
		gint _tmp180_;
		gint _tmp181_;
#line 370 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp168_ = L;
#line 370 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp169_ = T;
#line 370 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_get_pixel (self, page, _tmp168_ - 1, _tmp169_ - 1, p, 3);
#line 371 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp170_ = red;
#line 371 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp171_ = p[0];
#line 371 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp172_ = L;
#line 371 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp173_ = T;
#line 371 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		red = _tmp170_ + ((_tmp171_ * (_tmp172_ - l)) * (_tmp173_ - t));
#line 372 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp174_ = green;
#line 372 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp175_ = p[1];
#line 372 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp176_ = L;
#line 372 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp177_ = T;
#line 372 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		green = _tmp174_ + ((_tmp175_ * (_tmp176_ - l)) * (_tmp177_ - t));
#line 373 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp178_ = blue;
#line 373 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp179_ = p[2];
#line 373 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp180_ = L;
#line 373 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp181_ = T;
#line 373 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		blue = _tmp178_ + ((_tmp179_ * (_tmp180_ - l)) * (_tmp181_ - t));
#line 1833 "page-view.c"
	}
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp183_ = R;
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (r != ((gdouble) _tmp183_)) {
#line 1839 "page-view.c"
		gint _tmp184_;
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp184_ = T;
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp182_ = t != ((gdouble) _tmp184_);
#line 1845 "page-view.c"
	} else {
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp182_ = FALSE;
#line 1849 "page-view.c"
	}
#line 375 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp182_) {
#line 1853 "page-view.c"
		guchar p[3] = {0};
		gint _tmp185_;
		gint _tmp186_;
		gdouble _tmp187_;
		guchar _tmp188_;
		gint _tmp189_;
		gint _tmp190_;
		gdouble _tmp191_;
		guchar _tmp192_;
		gint _tmp193_;
		gint _tmp194_;
		gdouble _tmp195_;
		guchar _tmp196_;
		gint _tmp197_;
		gint _tmp198_;
#line 378 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp185_ = R;
#line 378 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp186_ = T;
#line 378 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_get_pixel (self, page, _tmp185_, _tmp186_ - 1, p, 3);
#line 379 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp187_ = red;
#line 379 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp188_ = p[0];
#line 379 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp189_ = R;
#line 379 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp190_ = T;
#line 379 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		red = _tmp187_ + ((_tmp188_ * (r - _tmp189_)) * (_tmp190_ - t));
#line 380 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp191_ = green;
#line 380 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp192_ = p[1];
#line 380 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp193_ = R;
#line 380 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp194_ = T;
#line 380 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		green = _tmp191_ + ((_tmp192_ * (r - _tmp193_)) * (_tmp194_ - t));
#line 381 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp195_ = blue;
#line 381 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp196_ = p[2];
#line 381 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp197_ = R;
#line 381 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp198_ = T;
#line 381 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		blue = _tmp195_ + ((_tmp196_ * (r - _tmp197_)) * (_tmp198_ - t));
#line 1905 "page-view.c"
	}
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp200_ = R;
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (r != ((gdouble) _tmp200_)) {
#line 1911 "page-view.c"
		gint _tmp201_;
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp201_ = B;
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp199_ = b != ((gdouble) _tmp201_);
#line 1917 "page-view.c"
	} else {
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp199_ = FALSE;
#line 1921 "page-view.c"
	}
#line 383 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp199_) {
#line 1925 "page-view.c"
		guchar p[3] = {0};
		gint _tmp202_;
		gint _tmp203_;
		gdouble _tmp204_;
		guchar _tmp205_;
		gint _tmp206_;
		gint _tmp207_;
		gdouble _tmp208_;
		guchar _tmp209_;
		gint _tmp210_;
		gint _tmp211_;
		gdouble _tmp212_;
		guchar _tmp213_;
		gint _tmp214_;
		gint _tmp215_;
#line 386 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp202_ = R;
#line 386 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp203_ = B;
#line 386 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_get_pixel (self, page, _tmp202_, _tmp203_, p, 3);
#line 387 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp204_ = red;
#line 387 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp205_ = p[0];
#line 387 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp206_ = R;
#line 387 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp207_ = B;
#line 387 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		red = _tmp204_ + ((_tmp205_ * (r - _tmp206_)) * (b - _tmp207_));
#line 388 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp208_ = green;
#line 388 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp209_ = p[1];
#line 388 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp210_ = R;
#line 388 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp211_ = B;
#line 388 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		green = _tmp208_ + ((_tmp209_ * (r - _tmp210_)) * (b - _tmp211_));
#line 389 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp212_ = blue;
#line 389 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp213_ = p[2];
#line 389 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp214_ = R;
#line 389 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp215_ = B;
#line 389 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		blue = _tmp212_ + ((_tmp213_ * (r - _tmp214_)) * (b - _tmp215_));
#line 1977 "page-view.c"
	}
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp217_ = L;
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (l != ((gdouble) _tmp217_)) {
#line 1983 "page-view.c"
		gint _tmp218_;
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp218_ = B;
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp216_ = b != ((gdouble) _tmp218_);
#line 1989 "page-view.c"
	} else {
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp216_ = FALSE;
#line 1993 "page-view.c"
	}
#line 391 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp216_) {
#line 1997 "page-view.c"
		guchar p[3] = {0};
		gint _tmp219_;
		gint _tmp220_;
		gdouble _tmp221_;
		guchar _tmp222_;
		gint _tmp223_;
		gint _tmp224_;
		gdouble _tmp225_;
		guchar _tmp226_;
		gint _tmp227_;
		gint _tmp228_;
		gdouble _tmp229_;
		guchar _tmp230_;
		gint _tmp231_;
		gint _tmp232_;
#line 394 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp219_ = L;
#line 394 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp220_ = B;
#line 394 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_get_pixel (self, page, _tmp219_ - 1, _tmp220_, p, 3);
#line 395 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp221_ = red;
#line 395 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp222_ = p[0];
#line 395 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp223_ = L;
#line 395 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp224_ = B;
#line 395 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		red = _tmp221_ + ((_tmp222_ * (_tmp223_ - l)) * (b - _tmp224_));
#line 396 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp225_ = green;
#line 396 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp226_ = p[1];
#line 396 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp227_ = L;
#line 396 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp228_ = B;
#line 396 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		green = _tmp225_ + ((_tmp226_ * (_tmp227_ - l)) * (b - _tmp228_));
#line 397 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp229_ = blue;
#line 397 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp230_ = p[2];
#line 397 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp231_ = L;
#line 397 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp232_ = B;
#line 397 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		blue = _tmp229_ + ((_tmp230_ * (_tmp231_ - l)) * (b - _tmp232_));
#line 2049 "page-view.c"
	}
#line 401 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	scale = 1.0 / ((r - l) * (b - t));
#line 402 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp233_ = red;
#line 402 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp234_ = scale;
#line 402 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output[offset] = (guchar) ((_tmp233_ * _tmp234_) + 0.5);
#line 403 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp235_ = green;
#line 403 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp236_ = scale;
#line 403 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output[offset + 1] = (guchar) ((_tmp235_ * _tmp236_) + 0.5);
#line 404 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp237_ = blue;
#line 404 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp238_ = scale;
#line 404 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output[offset + 2] = (guchar) ((_tmp237_ * _tmp238_) + 0.5);
#line 2071 "page-view.c"
}


static void
page_view_update_preview (PageView* self,
                          Page* page,
                          GdkPixbuf* * output_image,
                          gint output_width,
                          gint output_height,
                          ScanDirection scan_direction,
                          gint old_scan_line,
                          gint scan_line)
{
	gint input_width = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint input_height = 0;
	gint _tmp2_;
	gint _tmp3_;
	gint L = 0;
	gint R = 0;
	gint T = 0;
	gint B = 0;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gint _tmp26_;
	gint _tmp27_;
	gint _tmp28_;
	gint _tmp29_;
	gint _tmp30_;
	gint _tmp31_;
	guchar* output = NULL;
	guint8* _tmp32_;
	gint output_length1;
	gint _output_size_;
	gint output_rowstride = 0;
	gint _tmp33_;
	gint _tmp34_;
	gint output_n_channels = 0;
	gint _tmp35_;
	gint _tmp36_;
	gboolean _tmp37_;
	gboolean _tmp38_;
#line 407 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 407 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (page != NULL);
#line 410 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = page_get_width (page);
#line 410 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = _tmp0_;
#line 410 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	input_width = _tmp1_;
#line 411 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = page_get_height (page);
#line 411 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = _tmp2_;
#line 411 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	input_height = _tmp3_;
#line 415 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if ((*output_image) == NULL) {
#line 415 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = TRUE;
#line 2135 "page-view.c"
	} else {
		gint _tmp6_;
		gint _tmp7_;
#line 416 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = gdk_pixbuf_get_width (*output_image);
#line 416 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp7_ = _tmp6_;
#line 416 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = _tmp7_ != output_width;
#line 2145 "page-view.c"
	}
#line 415 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp5_) {
#line 415 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = TRUE;
#line 2151 "page-view.c"
	} else {
		gint _tmp8_;
		gint _tmp9_;
#line 417 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp8_ = gdk_pixbuf_get_height (*output_image);
#line 417 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = _tmp8_;
#line 417 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = _tmp9_ != output_height;
#line 2161 "page-view.c"
	}
#line 415 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp4_) {
#line 2165 "page-view.c"
		GdkPixbuf* _tmp10_;
#line 419 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp10_ = gdk_pixbuf_new (GDK_COLORSPACE_RGB, FALSE, 8, output_width, output_height);
#line 419 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_object_unref0 (*output_image);
#line 419 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		*output_image = _tmp10_;
#line 426 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		L = 0;
#line 427 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		R = output_width - 1;
#line 428 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		T = 0;
#line 429 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		B = output_height - 1;
#line 2181 "page-view.c"
	} else {
#line 434 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		switch (scan_direction) {
#line 434 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_TOP_TO_BOTTOM:
#line 2187 "page-view.c"
			{
				gint _tmp11_;
				gint _tmp12_;
#line 437 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				L = 0;
#line 438 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				R = output_width - 1;
#line 439 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp11_ = input_height;
#line 439 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				T = (gint) ((((gdouble) old_scan_line) * output_height) / _tmp11_);
#line 440 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp12_ = input_height;
#line 440 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				B = (gint) (((((gdouble) scan_line) * output_height) / _tmp12_) + 0.5);
#line 441 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 2205 "page-view.c"
			}
#line 434 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_LEFT_TO_RIGHT:
#line 2209 "page-view.c"
			{
				gint _tmp13_;
				gint _tmp14_;
#line 443 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp13_ = input_width;
#line 443 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				L = (gint) ((((gdouble) old_scan_line) * output_width) / _tmp13_);
#line 444 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp14_ = input_width;
#line 444 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				R = (gint) (((((gdouble) scan_line) * output_width) / _tmp14_) + 0.5);
#line 445 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				T = 0;
#line 446 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				B = output_height - 1;
#line 447 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 2227 "page-view.c"
			}
#line 434 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_BOTTOM_TO_TOP:
#line 2231 "page-view.c"
			{
				gint _tmp15_;
				gint _tmp16_;
				gint _tmp17_;
				gint _tmp18_;
#line 449 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				L = 0;
#line 450 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				R = output_width - 1;
#line 451 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp15_ = input_height;
#line 451 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp16_ = input_height;
#line 451 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				T = (gint) ((((gdouble) (_tmp15_ - scan_line)) * output_height) / _tmp16_);
#line 452 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp17_ = input_height;
#line 452 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp18_ = input_height;
#line 452 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				B = (gint) (((((gdouble) (_tmp17_ - old_scan_line)) * output_height) / _tmp18_) + 0.5);
#line 453 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 2255 "page-view.c"
			}
#line 434 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_RIGHT_TO_LEFT:
#line 2259 "page-view.c"
			{
				gint _tmp19_;
				gint _tmp20_;
				gint _tmp21_;
				gint _tmp22_;
#line 455 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp19_ = input_width;
#line 455 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp20_ = input_width;
#line 455 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				L = (gint) ((((gdouble) (_tmp19_ - scan_line)) * output_width) / _tmp20_);
#line 456 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp21_ = input_width;
#line 456 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp22_ = input_width;
#line 456 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				R = (gint) (((((gdouble) (_tmp21_ - old_scan_line)) * output_width) / _tmp22_) + 0.5);
#line 457 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				T = 0;
#line 458 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				B = output_height - 1;
#line 459 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 2283 "page-view.c"
			}
			default:
			{
				gint _tmp23_;
				gint _tmp24_;
				gint _tmp25_;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				T = 0;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp23_ = T;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				B = _tmp23_;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp24_ = B;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				R = _tmp24_;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp25_ = R;
#line 461 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				L = _tmp25_;
#line 462 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 2306 "page-view.c"
			}
		}
	}
#line 467 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp26_ = R;
#line 467 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp26_ >= output_width) {
#line 468 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		R = output_width - 1;
#line 2316 "page-view.c"
	}
#line 469 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp27_ = B;
#line 469 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp27_ >= output_height) {
#line 470 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		B = output_height - 1;
#line 2324 "page-view.c"
	}
#line 472 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp28_ = L;
#line 472 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (_tmp28_ >= 0);
#line 473 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp29_ = R;
#line 473 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (_tmp29_ < output_width);
#line 474 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp30_ = T;
#line 474 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (_tmp30_ >= 0);
#line 475 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp31_ = B;
#line 475 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (_tmp31_ < output_height);
#line 476 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail ((*output_image) != NULL);
#line 478 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp32_ = gdk_pixbuf_get_pixels (*output_image);
#line 478 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output = _tmp32_;
#line 478 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output_length1 = -1;
#line 478 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_output_size_ = output_length1;
#line 479 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp33_ = gdk_pixbuf_get_rowstride (*output_image);
#line 479 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp34_ = _tmp33_;
#line 479 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output_rowstride = _tmp34_;
#line 480 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp35_ = gdk_pixbuf_get_n_channels (*output_image);
#line 480 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp36_ = _tmp35_;
#line 480 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	output_n_channels = _tmp36_;
#line 482 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp37_ = page_get_has_data (page);
#line 482 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp38_ = _tmp37_;
#line 482 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (!_tmp38_) {
#line 2370 "page-view.c"
		{
			gint x = 0;
			gint _tmp39_;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp39_ = L;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			x = _tmp39_;
#line 2378 "page-view.c"
			{
				gboolean _tmp40_ = FALSE;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp40_ = TRUE;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				while (TRUE) {
#line 2385 "page-view.c"
					gint _tmp42_;
					gint _tmp43_;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					if (!_tmp40_) {
#line 2390 "page-view.c"
						gint _tmp41_;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp41_ = x;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						x = _tmp41_ + 1;
#line 2396 "page-view.c"
					}
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp40_ = FALSE;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp42_ = x;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp43_ = R;
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					if (!(_tmp42_ <= _tmp43_)) {
#line 484 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						break;
#line 2408 "page-view.c"
					}
					{
						gint y = 0;
						gint _tmp44_;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp44_ = T;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						y = _tmp44_;
#line 2417 "page-view.c"
						{
							gboolean _tmp45_ = FALSE;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp45_ = TRUE;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							while (TRUE) {
#line 2424 "page-view.c"
								gint _tmp47_;
								gint _tmp48_;
								gint o = 0;
								gint _tmp49_;
								gint _tmp50_;
								gint _tmp51_;
								gint _tmp52_;
								guchar* _tmp53_;
								gint _tmp53__length1;
								gint _tmp54_;
								guchar* _tmp55_;
								gint _tmp55__length1;
								gint _tmp56_;
								guchar* _tmp57_;
								gint _tmp57__length1;
								gint _tmp58_;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								if (!_tmp45_) {
#line 2443 "page-view.c"
									gint _tmp46_;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
									_tmp46_ = y;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
									y = _tmp46_ + 1;
#line 2449 "page-view.c"
								}
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp45_ = FALSE;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp47_ = y;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp48_ = B;
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								if (!(_tmp47_ <= _tmp48_)) {
#line 485 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
									break;
#line 2461 "page-view.c"
								}
#line 487 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp49_ = output_rowstride;
#line 487 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp50_ = y;
#line 487 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp51_ = x;
#line 487 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp52_ = output_n_channels;
#line 487 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								o = (_tmp49_ * _tmp50_) + (_tmp51_ * _tmp52_);
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp53_ = output;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp53__length1 = output_length1;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp54_ = o;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp55_ = output;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp55__length1 = output_length1;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp56_ = o;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp57_ = output;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp57__length1 = output_length1;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp58_ = o;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp57_[_tmp58_ + 2] = (guchar) 0xFF;
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp55_[_tmp56_ + 1] = _tmp57_[_tmp58_ + 2];
#line 488 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp53_[_tmp54_] = _tmp55_[_tmp56_ + 1];
#line 2497 "page-view.c"
							}
						}
					}
				}
			}
		}
#line 490 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 2506 "page-view.c"
	}
	{
		gint x = 0;
		gint _tmp59_;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp59_ = L;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		x = _tmp59_;
#line 2515 "page-view.c"
		{
			gboolean _tmp60_ = FALSE;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp60_ = TRUE;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			while (TRUE) {
#line 2522 "page-view.c"
				gint _tmp62_;
				gint _tmp63_;
				gdouble l = 0.0;
				gint _tmp64_;
				gint _tmp65_;
				gdouble r = 0.0;
				gint _tmp66_;
				gint _tmp67_;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!_tmp60_) {
#line 2533 "page-view.c"
					gint _tmp61_;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp61_ = x;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					x = _tmp61_ + 1;
#line 2539 "page-view.c"
				}
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp60_ = FALSE;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp62_ = x;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp63_ = R;
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				if (!(_tmp62_ <= _tmp63_)) {
#line 494 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					break;
#line 2551 "page-view.c"
				}
#line 496 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp64_ = x;
#line 496 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp65_ = input_width;
#line 496 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				l = (((gdouble) _tmp64_) * _tmp65_) / output_width;
#line 497 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp66_ = x;
#line 497 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp67_ = input_width;
#line 497 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				r = (((gdouble) (_tmp66_ + 1)) * _tmp67_) / output_width;
#line 2565 "page-view.c"
				{
					gint y = 0;
					gint _tmp68_;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					_tmp68_ = T;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
					y = _tmp68_;
#line 2573 "page-view.c"
					{
						gboolean _tmp69_ = FALSE;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						_tmp69_ = TRUE;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
						while (TRUE) {
#line 2580 "page-view.c"
							gint _tmp71_;
							gint _tmp72_;
							gdouble t = 0.0;
							gint _tmp73_;
							gint _tmp74_;
							gdouble b = 0.0;
							gint _tmp75_;
							gint _tmp76_;
							gdouble _tmp77_;
							gdouble _tmp78_;
							gdouble _tmp79_;
							gdouble _tmp80_;
							guchar* _tmp81_;
							gint _tmp81__length1;
							gint _tmp82_;
							gint _tmp83_;
							gint _tmp84_;
							gint _tmp85_;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							if (!_tmp69_) {
#line 2601 "page-view.c"
								gint _tmp70_;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								_tmp70_ = y;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								y = _tmp70_ + 1;
#line 2607 "page-view.c"
							}
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp69_ = FALSE;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp71_ = y;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp72_ = B;
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							if (!(_tmp71_ <= _tmp72_)) {
#line 499 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
								break;
#line 2619 "page-view.c"
							}
#line 501 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp73_ = y;
#line 501 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp74_ = input_height;
#line 501 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							t = (((gdouble) _tmp73_) * _tmp74_) / output_height;
#line 502 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp75_ = y;
#line 502 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp76_ = input_height;
#line 502 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							b = (((gdouble) (_tmp75_ + 1)) * _tmp76_) / output_height;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp77_ = l;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp78_ = r;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp79_ = t;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp80_ = b;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp81_ = output;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp81__length1 = output_length1;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp82_ = output_rowstride;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp83_ = y;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp84_ = x;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							_tmp85_ = output_n_channels;
#line 504 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
							page_view_set_pixel (self, page, _tmp77_, _tmp78_, _tmp79_, _tmp80_, _tmp81_, _tmp81__length1, (_tmp82_ * _tmp83_) + (_tmp84_ * _tmp85_));
#line 2655 "page-view.c"
						}
					}
				}
			}
		}
	}
}


static gint
page_view_get_preview_width (PageView* self)
{
	gint result = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 511 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 513 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->width_;
#line 513 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->border_width;
#line 513 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = self->priv->ruler_width;
#line 513 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_ - ((_tmp1_ + _tmp2_) * 2);
#line 513 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2684 "page-view.c"
}


static gint
page_view_get_preview_height (PageView* self)
{
	gint result = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 516 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 518 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->height_;
#line 518 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->border_width;
#line 518 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = self->priv->ruler_width;
#line 518 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_ - ((_tmp1_ + _tmp2_) * 2);
#line 518 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2707 "page-view.c"
}


static void
page_view_update_page_view (PageView* self)
{
	gboolean _tmp0_;
	gint old_scan_line = 0;
	gint _tmp1_;
	gint scan_line = 0;
	Page* _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	ScanDirection left_steps = 0;
	ScanDirection _tmp5_;
	Page* _tmp6_;
	ScanDirection _tmp7_;
	ScanDirection _tmp8_;
	gboolean _tmp9_ = FALSE;
	ScanDirection _tmp10_;
	Page* _tmp12_;
	ScanDirection _tmp13_;
	ScanDirection _tmp14_;
	Page* _tmp15_;
	Page* _tmp16_;
	ScanDirection _tmp17_;
	ScanDirection _tmp18_;
	gint _tmp19_;
	gint _tmp20_;
	gint _tmp21_;
#line 521 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 523 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->update_image;
#line 523 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (!_tmp0_) {
#line 524 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 2746 "page-view.c"
	}
#line 526 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->scan_line;
#line 526 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	old_scan_line = _tmp1_;
#line 527 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = self->priv->_page;
#line 527 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = page_get_scan_line (_tmp2_);
#line 527 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = _tmp3_;
#line 527 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	scan_line = _tmp4_;
#line 530 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = self->priv->scan_direction;
#line 530 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp6_ = self->priv->_page;
#line 530 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = page_get_scan_direction (_tmp6_);
#line 530 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = _tmp7_;
#line 530 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	left_steps = _tmp5_ - _tmp8_;
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = left_steps;
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp10_ != 0) {
#line 2774 "page-view.c"
		GdkPixbuf* _tmp11_;
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp11_ = self->priv->image;
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = _tmp11_ != NULL;
#line 2780 "page-view.c"
	} else {
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = FALSE;
#line 2784 "page-view.c"
	}
#line 531 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp9_) {
#line 532 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_object_unref0 (self->priv->image);
#line 532 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->image = NULL;
#line 2792 "page-view.c"
	}
#line 533 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp12_ = self->priv->_page;
#line 533 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp13_ = page_get_scan_direction (_tmp12_);
#line 533 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp14_ = _tmp13_;
#line 533 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->scan_direction = _tmp14_;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp15_ = self->priv->_page;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp16_ = self->priv->_page;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp17_ = page_get_scan_direction (_tmp16_);
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp18_ = _tmp17_;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp19_ = old_scan_line;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp20_ = scan_line;
#line 535 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_update_preview (self, _tmp15_, &self->priv->image, page_view_get_preview_width (self), page_view_get_preview_height (self), _tmp18_, _tmp19_, _tmp20_);
#line 541 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = FALSE;
#line 542 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp21_ = scan_line;
#line 542 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->scan_line = _tmp21_;
#line 2822 "page-view.c"
}


static gint
page_view_page_to_screen_x (PageView* self,
                            gint x)
{
	gint result = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 545 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 547 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 547 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_width (_tmp0_);
#line 547 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 547 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = (gint) (((((gdouble) x) * page_view_get_preview_width (self)) / _tmp2_) + 0.5);
#line 547 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2846 "page-view.c"
}


static gint
page_view_page_to_screen_y (PageView* self,
                            gint y)
{
	gint result = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 550 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 552 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 552 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_height (_tmp0_);
#line 552 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 552 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = (gint) (((((gdouble) y) * page_view_get_preview_height (self)) / _tmp2_) + 0.5);
#line 552 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2870 "page-view.c"
}


static gint
page_view_screen_to_page_x (PageView* self,
                            gint x)
{
	gint result = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 555 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 557 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 557 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_width (_tmp0_);
#line 557 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 557 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = (gint) (((((gdouble) x) * _tmp2_) / page_view_get_preview_width (self)) + 0.5);
#line 557 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2894 "page-view.c"
}


static gint
page_view_screen_to_page_y (PageView* self,
                            gint y)
{
	gint result = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 560 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 562 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 562 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_height (_tmp0_);
#line 562 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 562 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = (gint) (((((gdouble) y) * _tmp2_) / page_view_get_preview_height (self)) + 0.5);
#line 562 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 2918 "page-view.c"
}


static CropLocation
page_view_get_crop_location (PageView* self,
                             gint x,
                             gint y)
{
	CropLocation result = 0;
	Page* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	gint cx = 0;
	Page* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gint cy = 0;
	Page* _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	gint cw = 0;
	Page* _tmp9_;
	gint _tmp10_;
	gint _tmp11_;
	gint ch = 0;
	Page* _tmp12_;
	gint _tmp13_;
	gint _tmp14_;
	gint dx = 0;
	gint _tmp15_;
	gint _tmp16_;
	gint _tmp17_;
	gint dy = 0;
	gint _tmp18_;
	gint _tmp19_;
	gint _tmp20_;
	gint dw = 0;
	gint _tmp21_;
	gint _tmp22_;
	gint _tmp23_;
	gint dh = 0;
	gint _tmp24_;
	gint _tmp25_;
	gint _tmp26_;
	gint ix = 0;
	gint _tmp27_;
	gint iy = 0;
	gint _tmp28_;
	gboolean _tmp29_ = FALSE;
	gboolean _tmp30_ = FALSE;
	gboolean _tmp31_ = FALSE;
	gint _tmp32_;
	gchar* name = NULL;
	Page* _tmp38_;
	const gchar* _tmp39_;
	const gchar* _tmp40_;
	gchar* _tmp41_;
	const gchar* _tmp42_;
	gint crop_border = 0;
	gint _tmp43_;
	gint _tmp44_;
	gint _tmp46_;
	gint _tmp47_;
	gboolean _tmp49_ = FALSE;
	gint _tmp50_;
	gint _tmp51_;
	gboolean _tmp54_ = FALSE;
	gint _tmp55_;
	gint _tmp56_;
	gint _tmp57_;
	gboolean _tmp60_ = FALSE;
	gint _tmp61_;
	gint _tmp62_;
	gboolean _tmp66_ = FALSE;
	gint _tmp67_;
	gint _tmp68_;
	gint _tmp69_;
	gint _tmp73_;
	gint _tmp74_;
	gint _tmp75_;
	gint _tmp76_;
	gint _tmp77_;
	gint _tmp78_;
	gint _tmp79_;
	gint _tmp80_;
	gint _tmp81_;
	gint _tmp82_;
#line 565 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 567 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 567 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_has_crop (_tmp0_);
#line 567 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 567 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (!_tmp2_) {
#line 568 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_NONE;
#line 568 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3020 "page-view.c"
	}
#line 570 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = self->priv->_page;
#line 570 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = page_get_crop_x (_tmp3_);
#line 570 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = _tmp4_;
#line 570 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cx = _tmp5_;
#line 571 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp6_ = self->priv->_page;
#line 571 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = page_get_crop_y (_tmp6_);
#line 571 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = _tmp7_;
#line 571 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cy = _tmp8_;
#line 572 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp9_ = self->priv->_page;
#line 572 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = page_get_crop_width (_tmp9_);
#line 572 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp11_ = _tmp10_;
#line 572 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cw = _tmp11_;
#line 573 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp12_ = self->priv->_page;
#line 573 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp13_ = page_get_crop_height (_tmp12_);
#line 573 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp14_ = _tmp13_;
#line 573 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ch = _tmp14_;
#line 574 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp15_ = cx;
#line 574 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp16_ = self->priv->border_width;
#line 574 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp17_ = self->priv->ruler_width;
#line 574 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dx = (page_view_page_to_screen_x (self, _tmp15_) + _tmp16_) + _tmp17_;
#line 575 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp18_ = cy;
#line 575 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp19_ = self->priv->border_width;
#line 575 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp20_ = self->priv->ruler_width;
#line 575 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dy = (page_view_page_to_screen_y (self, _tmp18_) + _tmp19_) + _tmp20_;
#line 576 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp21_ = cw;
#line 576 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp22_ = self->priv->border_width;
#line 576 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp23_ = self->priv->ruler_width;
#line 576 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dw = (page_view_page_to_screen_x (self, _tmp21_) + _tmp22_) + _tmp23_;
#line 577 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp24_ = ch;
#line 577 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp25_ = self->priv->border_width;
#line 577 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp26_ = self->priv->ruler_width;
#line 577 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dh = (page_view_page_to_screen_y (self, _tmp24_) + _tmp25_) + _tmp26_;
#line 578 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp27_ = dx;
#line 578 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ix = x - _tmp27_;
#line 579 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp28_ = dy;
#line 579 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	iy = y - _tmp28_;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp32_ = ix;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp32_ < 0) {
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31_ = TRUE;
#line 3100 "page-view.c"
	} else {
		gint _tmp33_;
		gint _tmp34_;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp33_ = ix;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp34_ = dw;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31_ = _tmp33_ > _tmp34_;
#line 3110 "page-view.c"
	}
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp31_) {
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp30_ = TRUE;
#line 3116 "page-view.c"
	} else {
		gint _tmp35_;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp35_ = iy;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp30_ = _tmp35_ < 0;
#line 3123 "page-view.c"
	}
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp30_) {
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp29_ = TRUE;
#line 3129 "page-view.c"
	} else {
		gint _tmp36_;
		gint _tmp37_;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp36_ = iy;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp37_ = dh;
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp29_ = _tmp36_ > _tmp37_;
#line 3139 "page-view.c"
	}
#line 581 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp29_) {
#line 582 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_NONE;
#line 582 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3147 "page-view.c"
	}
#line 585 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp38_ = self->priv->_page;
#line 585 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp39_ = page_get_crop_name (_tmp38_);
#line 585 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp40_ = _tmp39_;
#line 585 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp41_ = g_strdup (_tmp40_);
#line 585 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	name = _tmp41_;
#line 586 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp42_ = name;
#line 586 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp42_ != NULL) {
#line 587 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_MIDDLE;
#line 587 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 587 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3169 "page-view.c"
	}
#line 590 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	crop_border = 20;
#line 591 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp43_ = dw;
#line 591 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp44_ = crop_border;
#line 591 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp43_ < (_tmp44_ * 3)) {
#line 3179 "page-view.c"
		gint _tmp45_;
#line 592 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp45_ = dw;
#line 592 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		crop_border = _tmp45_ / 3;
#line 3185 "page-view.c"
	}
#line 593 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp46_ = dh;
#line 593 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp47_ = crop_border;
#line 593 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp46_ < (_tmp47_ * 3)) {
#line 3193 "page-view.c"
		gint _tmp48_;
#line 594 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp48_ = dh;
#line 594 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		crop_border = _tmp48_ / 3;
#line 3199 "page-view.c"
	}
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp50_ = ix;
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp51_ = crop_border;
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp50_ < _tmp51_) {
#line 3207 "page-view.c"
		gint _tmp52_;
		gint _tmp53_;
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp52_ = iy;
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp53_ = crop_border;
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp49_ = _tmp52_ < _tmp53_;
#line 3216 "page-view.c"
	} else {
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp49_ = FALSE;
#line 3220 "page-view.c"
	}
#line 597 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp49_) {
#line 598 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_TOP_LEFT;
#line 598 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 598 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3230 "page-view.c"
	}
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp55_ = ix;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp56_ = dw;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp57_ = crop_border;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp55_ > (_tmp56_ - _tmp57_)) {
#line 3240 "page-view.c"
		gint _tmp58_;
		gint _tmp59_;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp58_ = iy;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp59_ = crop_border;
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp54_ = _tmp58_ < _tmp59_;
#line 3249 "page-view.c"
	} else {
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp54_ = FALSE;
#line 3253 "page-view.c"
	}
#line 600 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp54_) {
#line 601 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_TOP_RIGHT;
#line 601 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 601 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3263 "page-view.c"
	}
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp61_ = ix;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp62_ = crop_border;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp61_ < _tmp62_) {
#line 3271 "page-view.c"
		gint _tmp63_;
		gint _tmp64_;
		gint _tmp65_;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp63_ = iy;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp64_ = dh;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp65_ = crop_border;
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp60_ = _tmp63_ > (_tmp64_ - _tmp65_);
#line 3283 "page-view.c"
	} else {
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp60_ = FALSE;
#line 3287 "page-view.c"
	}
#line 603 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp60_) {
#line 604 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_BOTTOM_LEFT;
#line 604 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 604 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3297 "page-view.c"
	}
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp67_ = ix;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp68_ = dw;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp69_ = crop_border;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp67_ > (_tmp68_ - _tmp69_)) {
#line 3307 "page-view.c"
		gint _tmp70_;
		gint _tmp71_;
		gint _tmp72_;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp70_ = iy;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp71_ = dh;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp72_ = crop_border;
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp66_ = _tmp70_ > (_tmp71_ - _tmp72_);
#line 3319 "page-view.c"
	} else {
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp66_ = FALSE;
#line 3323 "page-view.c"
	}
#line 606 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp66_) {
#line 607 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_BOTTOM_RIGHT;
#line 607 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 607 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3333 "page-view.c"
	}
#line 610 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp73_ = ix;
#line 610 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp74_ = crop_border;
#line 610 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp73_ < _tmp74_) {
#line 611 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_LEFT;
#line 611 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 611 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3347 "page-view.c"
	}
#line 613 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp75_ = ix;
#line 613 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp76_ = dw;
#line 613 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp77_ = crop_border;
#line 613 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp75_ > (_tmp76_ - _tmp77_)) {
#line 614 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_RIGHT;
#line 614 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 614 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3363 "page-view.c"
	}
#line 616 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp78_ = iy;
#line 616 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp79_ = crop_border;
#line 616 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp78_ < _tmp79_) {
#line 617 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_TOP;
#line 617 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 617 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3377 "page-view.c"
	}
#line 619 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp80_ = iy;
#line 619 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp81_ = dh;
#line 619 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp82_ = crop_border;
#line 619 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp80_ > (_tmp81_ - _tmp82_)) {
#line 620 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		result = CROP_LOCATION_BOTTOM;
#line 620 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_free0 (name);
#line 620 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return result;
#line 3393 "page-view.c"
	}
#line 623 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = CROP_LOCATION_MIDDLE;
#line 623 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_g_free0 (name);
#line 623 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 3401 "page-view.c"
}


void
page_view_button_press (PageView* self,
                        gint x,
                        gint y)
{
	CropLocation location = 0;
	CropLocation _tmp0_;
#line 626 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 629 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	location = page_view_get_crop_location (self, x, y);
#line 630 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = location;
#line 630 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp0_ != CROP_LOCATION_NONE) {
#line 3420 "page-view.c"
		CropLocation _tmp1_;
		Page* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		Page* _tmp5_;
		gint _tmp6_;
		gint _tmp7_;
		Page* _tmp8_;
		gint _tmp9_;
		gint _tmp10_;
		Page* _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
#line 632 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp1_ = location;
#line 632 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->crop_location = _tmp1_;
#line 633 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_px = (gdouble) x;
#line 634 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_py = (gdouble) y;
#line 635 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp2_ = self->priv->_page;
#line 635 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp3_ = page_get_crop_x (_tmp2_);
#line 635 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = _tmp3_;
#line 635 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_x = _tmp4_;
#line 636 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = self->priv->_page;
#line 636 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = page_get_crop_y (_tmp5_);
#line 636 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp7_ = _tmp6_;
#line 636 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_y = _tmp7_;
#line 637 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp8_ = self->priv->_page;
#line 637 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = page_get_crop_width (_tmp8_);
#line 637 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp10_ = _tmp9_;
#line 637 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_w = _tmp10_;
#line 638 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp11_ = self->priv->_page;
#line 638 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp12_ = page_get_crop_height (_tmp11_);
#line 638 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp13_ = _tmp12_;
#line 638 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->selected_crop_h = _tmp13_;
#line 3474 "page-view.c"
	}
}


void
page_view_motion (PageView* self,
                  gint x,
                  gint y)
{
	CropLocation location = 0;
	GdkCursorType cursor = 0;
	CropLocation _tmp0_;
	CropLocation _tmp1_;
	gint pw = 0;
	Page* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gint ph = 0;
	Page* _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	gint cw = 0;
	Page* _tmp9_;
	gint _tmp10_;
	gint _tmp11_;
	gint ch = 0;
	Page* _tmp12_;
	gint _tmp13_;
	gint _tmp14_;
	gint dx = 0;
	gdouble _tmp15_;
	gint dy = 0;
	gdouble _tmp16_;
	gint new_x = 0;
	gint _tmp17_;
	gint new_y = 0;
	gint _tmp18_;
	gint new_w = 0;
	gint _tmp19_;
	gint new_h = 0;
	gint _tmp20_;
	gint min_size = 0;
	gboolean _tmp21_ = FALSE;
	gboolean _tmp22_ = FALSE;
	CropLocation _tmp23_;
	gboolean _tmp34_ = FALSE;
	gboolean _tmp35_ = FALSE;
	CropLocation _tmp36_;
	gboolean _tmp47_ = FALSE;
	gboolean _tmp48_ = FALSE;
	CropLocation _tmp49_;
	gboolean _tmp64_ = FALSE;
	gboolean _tmp65_ = FALSE;
	CropLocation _tmp66_;
	CropLocation _tmp81_;
	CropLocation _tmp102_;
	gboolean _tmp107_ = FALSE;
	gboolean _tmp108_ = FALSE;
	CropLocation _tmp109_;
	gboolean _tmp116_ = FALSE;
	gboolean _tmp117_ = FALSE;
	CropLocation _tmp118_;
	gboolean _tmp125_ = FALSE;
	gboolean _tmp126_ = FALSE;
	CropLocation _tmp127_;
	gboolean _tmp132_ = FALSE;
	gboolean _tmp133_ = FALSE;
	CropLocation _tmp134_;
	Page* _tmp139_;
	gint _tmp140_;
	gint _tmp141_;
	gboolean _tmp142_ = FALSE;
	gint _tmp143_;
	gint _tmp144_;
#line 642 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 644 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	location = page_view_get_crop_location (self, x, y);
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = location;
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	switch (_tmp0_) {
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_MIDDLE:
#line 3559 "page-view.c"
		{
#line 649 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_HAND1;
#line 650 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3565 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_TOP:
#line 3569 "page-view.c"
		{
#line 652 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_TOP_SIDE;
#line 653 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3575 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_BOTTOM:
#line 3579 "page-view.c"
		{
#line 655 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_BOTTOM_SIDE;
#line 656 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3585 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_LEFT:
#line 3589 "page-view.c"
		{
#line 658 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_LEFT_SIDE;
#line 659 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3595 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_RIGHT:
#line 3599 "page-view.c"
		{
#line 661 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_RIGHT_SIDE;
#line 662 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3605 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_TOP_LEFT:
#line 3609 "page-view.c"
		{
#line 664 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_TOP_LEFT_CORNER;
#line 665 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3615 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_TOP_RIGHT:
#line 3619 "page-view.c"
		{
#line 667 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_TOP_RIGHT_CORNER;
#line 668 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3625 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_BOTTOM_LEFT:
#line 3629 "page-view.c"
		{
#line 670 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_BOTTOM_LEFT_CORNER;
#line 671 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3635 "page-view.c"
		}
#line 646 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case CROP_LOCATION_BOTTOM_RIGHT:
#line 3639 "page-view.c"
		{
#line 673 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_BOTTOM_RIGHT_CORNER;
#line 674 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3645 "page-view.c"
		}
		default:
		{
#line 676 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cursor = GDK_ARROW;
#line 677 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 3653 "page-view.c"
		}
	}
#line 680 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->crop_location;
#line 680 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp1_ == CROP_LOCATION_NONE) {
#line 3660 "page-view.c"
		GdkCursorType _tmp2_;
#line 682 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp2_ = cursor;
#line 682 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_cursor (self, _tmp2_);
#line 683 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 3668 "page-view.c"
	}
#line 687 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = self->priv->_page;
#line 687 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = page_get_width (_tmp3_);
#line 687 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = _tmp4_;
#line 687 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	pw = _tmp5_;
#line 688 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp6_ = self->priv->_page;
#line 688 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = page_get_height (_tmp6_);
#line 688 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = _tmp7_;
#line 688 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ph = _tmp8_;
#line 689 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp9_ = self->priv->_page;
#line 689 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = page_get_crop_width (_tmp9_);
#line 689 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp11_ = _tmp10_;
#line 689 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cw = _tmp11_;
#line 690 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp12_ = self->priv->_page;
#line 690 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp13_ = page_get_crop_height (_tmp12_);
#line 690 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp14_ = _tmp13_;
#line 690 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ch = _tmp14_;
#line 692 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp15_ = self->priv->selected_crop_px;
#line 692 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dx = page_view_screen_to_page_x (self, x - ((gint) _tmp15_));
#line 693 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp16_ = self->priv->selected_crop_py;
#line 693 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	dy = page_view_screen_to_page_y (self, y - ((gint) _tmp16_));
#line 695 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp17_ = self->priv->selected_crop_x;
#line 695 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	new_x = _tmp17_;
#line 696 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp18_ = self->priv->selected_crop_y;
#line 696 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	new_y = _tmp18_;
#line 697 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp19_ = self->priv->selected_crop_w;
#line 697 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	new_w = _tmp19_;
#line 698 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp20_ = self->priv->selected_crop_h;
#line 698 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	new_h = _tmp20_;
#line 701 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	min_size = page_view_screen_to_page_x (self, 15);
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp23_ = self->priv->crop_location;
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp23_ == CROP_LOCATION_TOP_LEFT) {
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp22_ = TRUE;
#line 3734 "page-view.c"
	} else {
		CropLocation _tmp24_;
#line 703 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp24_ = self->priv->crop_location;
#line 703 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp22_ = _tmp24_ == CROP_LOCATION_LEFT;
#line 3741 "page-view.c"
	}
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp22_) {
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp21_ = TRUE;
#line 3747 "page-view.c"
	} else {
		CropLocation _tmp25_;
#line 704 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp25_ = self->priv->crop_location;
#line 704 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp21_ = _tmp25_ == CROP_LOCATION_BOTTOM_LEFT;
#line 3754 "page-view.c"
	}
#line 702 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp21_) {
#line 3758 "page-view.c"
		gint _tmp26_;
		gint _tmp27_;
		gint _tmp28_;
		gint _tmp31_;
		gint _tmp32_;
#line 706 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp26_ = dx;
#line 706 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp27_ = new_w;
#line 706 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp28_ = min_size;
#line 706 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp26_ > (_tmp27_ - _tmp28_)) {
#line 3772 "page-view.c"
			gint _tmp29_;
			gint _tmp30_;
#line 707 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp29_ = new_w;
#line 707 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp30_ = min_size;
#line 707 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = _tmp29_ - _tmp30_;
#line 3781 "page-view.c"
		}
#line 708 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31_ = new_x;
#line 708 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp32_ = dx;
#line 708 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if ((_tmp31_ + _tmp32_) < 0) {
#line 3789 "page-view.c"
			gint _tmp33_;
#line 709 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp33_ = new_x;
#line 709 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = -_tmp33_;
#line 3795 "page-view.c"
		}
	}
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp36_ = self->priv->crop_location;
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp36_ == CROP_LOCATION_TOP_LEFT) {
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp35_ = TRUE;
#line 3804 "page-view.c"
	} else {
		CropLocation _tmp37_;
#line 712 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp37_ = self->priv->crop_location;
#line 712 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp35_ = _tmp37_ == CROP_LOCATION_TOP;
#line 3811 "page-view.c"
	}
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp35_) {
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp34_ = TRUE;
#line 3817 "page-view.c"
	} else {
		CropLocation _tmp38_;
#line 713 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp38_ = self->priv->crop_location;
#line 713 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp34_ = _tmp38_ == CROP_LOCATION_TOP_RIGHT;
#line 3824 "page-view.c"
	}
#line 711 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp34_) {
#line 3828 "page-view.c"
		gint _tmp39_;
		gint _tmp40_;
		gint _tmp41_;
		gint _tmp44_;
		gint _tmp45_;
#line 715 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp39_ = dy;
#line 715 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp40_ = new_h;
#line 715 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp41_ = min_size;
#line 715 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp39_ > (_tmp40_ - _tmp41_)) {
#line 3842 "page-view.c"
			gint _tmp42_;
			gint _tmp43_;
#line 716 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp42_ = new_h;
#line 716 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp43_ = min_size;
#line 716 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = _tmp42_ - _tmp43_;
#line 3851 "page-view.c"
		}
#line 717 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp44_ = new_y;
#line 717 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp45_ = dy;
#line 717 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if ((_tmp44_ + _tmp45_) < 0) {
#line 3859 "page-view.c"
			gint _tmp46_;
#line 718 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp46_ = new_y;
#line 718 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = -_tmp46_;
#line 3865 "page-view.c"
		}
	}
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp49_ = self->priv->crop_location;
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp49_ == CROP_LOCATION_TOP_RIGHT) {
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp48_ = TRUE;
#line 3874 "page-view.c"
	} else {
		CropLocation _tmp50_;
#line 722 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp50_ = self->priv->crop_location;
#line 722 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp48_ = _tmp50_ == CROP_LOCATION_RIGHT;
#line 3881 "page-view.c"
	}
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp48_) {
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp47_ = TRUE;
#line 3887 "page-view.c"
	} else {
		CropLocation _tmp51_;
#line 723 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp51_ = self->priv->crop_location;
#line 723 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp47_ = _tmp51_ == CROP_LOCATION_BOTTOM_RIGHT;
#line 3894 "page-view.c"
	}
#line 721 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp47_) {
#line 3898 "page-view.c"
		gint _tmp52_;
		gint _tmp53_;
		gint _tmp54_;
		gint _tmp57_;
		gint _tmp58_;
		gint _tmp59_;
		gint _tmp60_;
#line 725 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp52_ = dx;
#line 725 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp53_ = min_size;
#line 725 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp54_ = new_w;
#line 725 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp52_ < (_tmp53_ - _tmp54_)) {
#line 3914 "page-view.c"
			gint _tmp55_;
			gint _tmp56_;
#line 726 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp55_ = min_size;
#line 726 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp56_ = new_w;
#line 726 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = _tmp55_ - _tmp56_;
#line 3923 "page-view.c"
		}
#line 727 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp57_ = new_x;
#line 727 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp58_ = new_w;
#line 727 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp59_ = dx;
#line 727 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp60_ = pw;
#line 727 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (((_tmp57_ + _tmp58_) + _tmp59_) > _tmp60_) {
#line 3935 "page-view.c"
			gint _tmp61_;
			gint _tmp62_;
			gint _tmp63_;
#line 728 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp61_ = pw;
#line 728 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp62_ = new_x;
#line 728 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp63_ = new_w;
#line 728 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = (_tmp61_ - _tmp62_) - _tmp63_;
#line 3947 "page-view.c"
		}
	}
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp66_ = self->priv->crop_location;
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp66_ == CROP_LOCATION_BOTTOM_LEFT) {
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp65_ = TRUE;
#line 3956 "page-view.c"
	} else {
		CropLocation _tmp67_;
#line 731 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp67_ = self->priv->crop_location;
#line 731 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp65_ = _tmp67_ == CROP_LOCATION_BOTTOM;
#line 3963 "page-view.c"
	}
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp65_) {
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp64_ = TRUE;
#line 3969 "page-view.c"
	} else {
		CropLocation _tmp68_;
#line 732 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp68_ = self->priv->crop_location;
#line 732 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp64_ = _tmp68_ == CROP_LOCATION_BOTTOM_RIGHT;
#line 3976 "page-view.c"
	}
#line 730 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp64_) {
#line 3980 "page-view.c"
		gint _tmp69_;
		gint _tmp70_;
		gint _tmp71_;
		gint _tmp74_;
		gint _tmp75_;
		gint _tmp76_;
		gint _tmp77_;
#line 734 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp69_ = dy;
#line 734 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp70_ = min_size;
#line 734 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp71_ = new_h;
#line 734 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp69_ < (_tmp70_ - _tmp71_)) {
#line 3996 "page-view.c"
			gint _tmp72_;
			gint _tmp73_;
#line 735 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp72_ = min_size;
#line 735 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp73_ = new_h;
#line 735 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = _tmp72_ - _tmp73_;
#line 4005 "page-view.c"
		}
#line 736 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp74_ = new_y;
#line 736 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp75_ = new_h;
#line 736 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp76_ = dy;
#line 736 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp77_ = ph;
#line 736 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (((_tmp74_ + _tmp75_) + _tmp76_) > _tmp77_) {
#line 4017 "page-view.c"
			gint _tmp78_;
			gint _tmp79_;
			gint _tmp80_;
#line 737 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp78_ = ph;
#line 737 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp79_ = new_y;
#line 737 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp80_ = new_h;
#line 737 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = (_tmp78_ - _tmp79_) - _tmp80_;
#line 4029 "page-view.c"
		}
	}
#line 739 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp81_ = self->priv->crop_location;
#line 739 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp81_ == CROP_LOCATION_MIDDLE) {
#line 4036 "page-view.c"
		gint _tmp82_;
		gint _tmp83_;
		gint _tmp84_;
		gint _tmp85_;
		gint _tmp89_;
		gint _tmp90_;
		gint _tmp92_;
		gint _tmp93_;
		gint _tmp94_;
		gint _tmp95_;
		gint _tmp99_;
		gint _tmp100_;
#line 741 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp82_ = new_x;
#line 741 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp83_ = dx;
#line 741 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp84_ = new_w;
#line 741 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp85_ = pw;
#line 741 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (((_tmp82_ + _tmp83_) + _tmp84_) > _tmp85_) {
#line 4059 "page-view.c"
			gint _tmp86_;
			gint _tmp87_;
			gint _tmp88_;
#line 742 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp86_ = pw;
#line 742 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp87_ = new_x;
#line 742 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp88_ = new_w;
#line 742 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = (_tmp86_ - _tmp87_) - _tmp88_;
#line 4071 "page-view.c"
		}
#line 743 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp89_ = new_x;
#line 743 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp90_ = dx;
#line 743 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if ((_tmp89_ + _tmp90_) < 0) {
#line 4079 "page-view.c"
			gint _tmp91_;
#line 744 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp91_ = new_x;
#line 744 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dx = -_tmp91_;
#line 4085 "page-view.c"
		}
#line 745 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp92_ = new_y;
#line 745 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp93_ = dy;
#line 745 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp94_ = new_h;
#line 745 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp95_ = ph;
#line 745 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (((_tmp92_ + _tmp93_) + _tmp94_) > _tmp95_) {
#line 4097 "page-view.c"
			gint _tmp96_;
			gint _tmp97_;
			gint _tmp98_;
#line 746 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp96_ = ph;
#line 746 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp97_ = new_y;
#line 746 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp98_ = new_h;
#line 746 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = (_tmp96_ - _tmp97_) - _tmp98_;
#line 4109 "page-view.c"
		}
#line 747 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp99_ = new_y;
#line 747 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp100_ = dy;
#line 747 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if ((_tmp99_ + _tmp100_) < 0) {
#line 4117 "page-view.c"
			gint _tmp101_;
#line 748 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp101_ = new_y;
#line 748 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			dy = -_tmp101_;
#line 4123 "page-view.c"
		}
	}
#line 752 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp102_ = self->priv->crop_location;
#line 752 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp102_ == CROP_LOCATION_MIDDLE) {
#line 4130 "page-view.c"
		gint _tmp103_;
		gint _tmp104_;
		gint _tmp105_;
		gint _tmp106_;
#line 754 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp103_ = new_x;
#line 754 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp104_ = dx;
#line 754 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_x = _tmp103_ + _tmp104_;
#line 755 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp105_ = new_y;
#line 755 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp106_ = dy;
#line 755 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_y = _tmp105_ + _tmp106_;
#line 4147 "page-view.c"
	}
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp109_ = self->priv->crop_location;
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp109_ == CROP_LOCATION_TOP_LEFT) {
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp108_ = TRUE;
#line 4155 "page-view.c"
	} else {
		CropLocation _tmp110_;
#line 758 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp110_ = self->priv->crop_location;
#line 758 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp108_ = _tmp110_ == CROP_LOCATION_LEFT;
#line 4162 "page-view.c"
	}
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp108_) {
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp107_ = TRUE;
#line 4168 "page-view.c"
	} else {
		CropLocation _tmp111_;
#line 759 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp111_ = self->priv->crop_location;
#line 759 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp107_ = _tmp111_ == CROP_LOCATION_BOTTOM_LEFT;
#line 4175 "page-view.c"
	}
#line 757 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp107_) {
#line 4179 "page-view.c"
		gint _tmp112_;
		gint _tmp113_;
		gint _tmp114_;
		gint _tmp115_;
#line 761 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp112_ = new_x;
#line 761 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp113_ = dx;
#line 761 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_x = _tmp112_ + _tmp113_;
#line 762 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp114_ = new_w;
#line 762 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp115_ = dx;
#line 762 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_w = _tmp114_ - _tmp115_;
#line 4196 "page-view.c"
	}
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp118_ = self->priv->crop_location;
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp118_ == CROP_LOCATION_TOP_LEFT) {
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp117_ = TRUE;
#line 4204 "page-view.c"
	} else {
		CropLocation _tmp119_;
#line 765 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp119_ = self->priv->crop_location;
#line 765 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp117_ = _tmp119_ == CROP_LOCATION_TOP;
#line 4211 "page-view.c"
	}
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp117_) {
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp116_ = TRUE;
#line 4217 "page-view.c"
	} else {
		CropLocation _tmp120_;
#line 766 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp120_ = self->priv->crop_location;
#line 766 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp116_ = _tmp120_ == CROP_LOCATION_TOP_RIGHT;
#line 4224 "page-view.c"
	}
#line 764 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp116_) {
#line 4228 "page-view.c"
		gint _tmp121_;
		gint _tmp122_;
		gint _tmp123_;
		gint _tmp124_;
#line 768 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp121_ = new_y;
#line 768 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp122_ = dy;
#line 768 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_y = _tmp121_ + _tmp122_;
#line 769 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp123_ = new_h;
#line 769 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp124_ = dy;
#line 769 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_h = _tmp123_ - _tmp124_;
#line 4245 "page-view.c"
	}
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp127_ = self->priv->crop_location;
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp127_ == CROP_LOCATION_TOP_RIGHT) {
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp126_ = TRUE;
#line 4253 "page-view.c"
	} else {
		CropLocation _tmp128_;
#line 773 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp128_ = self->priv->crop_location;
#line 773 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp126_ = _tmp128_ == CROP_LOCATION_RIGHT;
#line 4260 "page-view.c"
	}
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp126_) {
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp125_ = TRUE;
#line 4266 "page-view.c"
	} else {
		CropLocation _tmp129_;
#line 774 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp129_ = self->priv->crop_location;
#line 774 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp125_ = _tmp129_ == CROP_LOCATION_BOTTOM_RIGHT;
#line 4273 "page-view.c"
	}
#line 772 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp125_) {
#line 4277 "page-view.c"
		gint _tmp130_;
		gint _tmp131_;
#line 775 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp130_ = new_w;
#line 775 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp131_ = dx;
#line 775 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_w = _tmp130_ + _tmp131_;
#line 4286 "page-view.c"
	}
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp134_ = self->priv->crop_location;
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp134_ == CROP_LOCATION_BOTTOM_LEFT) {
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp133_ = TRUE;
#line 4294 "page-view.c"
	} else {
		CropLocation _tmp135_;
#line 777 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp135_ = self->priv->crop_location;
#line 777 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp133_ = _tmp135_ == CROP_LOCATION_BOTTOM;
#line 4301 "page-view.c"
	}
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp133_) {
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp132_ = TRUE;
#line 4307 "page-view.c"
	} else {
		CropLocation _tmp136_;
#line 778 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp136_ = self->priv->crop_location;
#line 778 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp132_ = _tmp136_ == CROP_LOCATION_BOTTOM_RIGHT;
#line 4314 "page-view.c"
	}
#line 776 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp132_) {
#line 4318 "page-view.c"
		gint _tmp137_;
		gint _tmp138_;
#line 779 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp137_ = new_h;
#line 779 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp138_ = dy;
#line 779 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		new_h = _tmp137_ + _tmp138_;
#line 4327 "page-view.c"
	}
#line 781 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp139_ = self->priv->_page;
#line 781 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp140_ = new_x;
#line 781 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp141_ = new_y;
#line 781 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_move_crop (_tmp139_, _tmp140_, _tmp141_);
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp143_ = new_w;
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp144_ = cw;
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp143_ != _tmp144_) {
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp142_ = TRUE;
#line 4345 "page-view.c"
	} else {
		gint _tmp145_;
		gint _tmp146_;
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp145_ = new_h;
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp146_ = ch;
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp142_ = _tmp145_ != _tmp146_;
#line 4355 "page-view.c"
	}
#line 784 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp142_) {
#line 4359 "page-view.c"
		Page* _tmp147_;
		gint _tmp148_;
		gint _tmp149_;
#line 785 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp147_ = self->priv->_page;
#line 785 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp148_ = new_w;
#line 785 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp149_ = new_h;
#line 785 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_set_custom_crop (_tmp147_, _tmp148_, _tmp149_);
#line 4371 "page-view.c"
	}
}


void
page_view_button_release (PageView* self,
                          gint x,
                          gint y)
{
#line 788 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 791 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->crop_location = CROP_LOCATION_NONE;
#line 792 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 4387 "page-view.c"
}


static gboolean
page_view_animation_cb (PageView* self)
{
	gboolean result = FALSE;
	gint _tmp0_;
	gint _tmp1_;
#line 795 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 797 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->animate_segment;
#line 797 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->animate_n_segments;
#line 797 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->animate_segment = (_tmp0_ + 1) % _tmp1_;
#line 798 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 799 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = TRUE;
#line 799 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 4411 "page-view.c"
}


static gboolean
_page_view_animation_cb_gsource_func (gpointer self)
{
	gboolean result;
	result = page_view_animation_cb ((PageView*) self);
#line 815 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 4422 "page-view.c"
}


static void
page_view_update_animation (PageView* self)
{
	gboolean animate = FALSE;
	gboolean is_animating = FALSE;
	gboolean _tmp0_ = FALSE;
	Page* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	guint _tmp7_;
	gboolean _tmp8_;
	gboolean _tmp9_;
	gboolean _tmp10_;
#line 802 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->_page;
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = page_get_is_scanning (_tmp1_);
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = _tmp2_;
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp3_) {
#line 4449 "page-view.c"
		Page* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = self->priv->_page;
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = page_get_has_data (_tmp4_);
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = _tmp5_;
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp0_ = !_tmp6_;
#line 4461 "page-view.c"
	} else {
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp0_ = FALSE;
#line 4465 "page-view.c"
	}
#line 806 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	animate = _tmp0_;
#line 807 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = self->priv->animate_timeout;
#line 807 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	is_animating = _tmp7_ != ((guint) 0);
#line 808 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = animate;
#line 808 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp9_ = is_animating;
#line 808 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp8_ == _tmp9_) {
#line 809 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 4481 "page-view.c"
	}
#line 811 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = animate;
#line 811 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp10_) {
#line 4487 "page-view.c"
		guint _tmp11_;
#line 813 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->animate_segment = 0;
#line 814 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp11_ = self->priv->animate_timeout;
#line 814 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp11_ == ((guint) 0)) {
#line 815 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			self->priv->animate_timeout = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 150, _page_view_animation_cb_gsource_func, g_object_ref (self), g_object_unref);
#line 4497 "page-view.c"
		}
	} else {
		guint _tmp12_;
#line 819 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp12_ = self->priv->animate_timeout;
#line 819 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp12_ != ((guint) 0)) {
#line 4505 "page-view.c"
			guint _tmp13_;
#line 820 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp13_ = self->priv->animate_timeout;
#line 820 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			g_source_remove (_tmp13_);
#line 4511 "page-view.c"
		}
#line 821 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->animate_timeout = (guint) 0;
#line 4515 "page-view.c"
	}
}


void
page_view_render (PageView* self,
                  cairo_t* context)
{
	gint w = 0;
	gint h = 0;
	gint _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	gint _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	GdkPixbuf* _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	gint _tmp9_;
	gint ruler_tick = 0;
	gdouble line = 0.0;
	gint big_ruler_tick = 0;
	gboolean _tmp60_ = FALSE;
	Page* _tmp61_;
	gboolean _tmp62_;
	gboolean _tmp63_;
	Page* _tmp100_;
	gboolean _tmp101_;
	gboolean _tmp102_;
#line 825 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 825 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (context != NULL);
#line 827 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_update_animation (self);
#line 828 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_update_page_view (self);
#line 830 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	w = page_view_get_preview_width (self);
#line 831 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	h = page_view_get_preview_height (self);
#line 833 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_set_line_width (context, (gdouble) 1);
#line 834 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_x_offset;
#line 834 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = self->priv->_y_offset;
#line 834 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_translate (context, (gdouble) _tmp0_, (gdouble) _tmp1_);
#line 837 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = self->priv->border_width;
#line 837 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = self->priv->ruler_width;
#line 837 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = self->priv->border_width;
#line 837 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = self->priv->ruler_width;
#line 837 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_translate (context, (gdouble) (_tmp2_ + _tmp3_), (gdouble) (_tmp4_ + _tmp5_));
#line 838 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp6_ = self->priv->image;
#line 838 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	gdk_cairo_set_source_pixbuf (context, _tmp6_, (gdouble) 0, (gdouble) 0);
#line 839 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_paint (context);
#line 842 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_set_source_rgb (context, (gdouble) 0, (gdouble) 0, (gdouble) 0);
#line 843 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = self->priv->border_width;
#line 843 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_set_line_width (context, (gdouble) _tmp7_);
#line 845 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = w;
#line 845 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp9_ = h;
#line 845 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_rectangle (context, (gdouble) 0, 0.0, (gdouble) _tmp8_, (gdouble) _tmp9_);
#line 849 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_stroke (context);
#line 852 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_set_line_width (context, (gdouble) 1);
#line 853 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ruler_tick = 0;
#line 854 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	line = 0.0;
#line 855 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	big_ruler_tick = 5;
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	while (TRUE) {
#line 4606 "page-view.c"
		gint _tmp10_;
		Page* _tmp11_;
		gint _tmp12_;
		gint _tmp13_;
		gint _tmp14_;
		gint _tmp15_;
		gint _tmp30_;
		Page* _tmp31_;
		gint _tmp32_;
		gint _tmp33_;
		gint _tmp34_;
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp10_ = ruler_tick;
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp11_ = self->priv->_page;
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp12_ = page_get_width (_tmp11_);
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp13_ = _tmp12_;
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (!(_tmp10_ <= _tmp13_)) {
#line 857 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 4630 "page-view.c"
		}
#line 859 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp14_ = ruler_tick;
#line 859 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		line = page_view_page_to_screen_x (self, _tmp14_) + 0.5;
#line 860 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp15_ = big_ruler_tick;
#line 860 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp15_ == 5) {
#line 4640 "page-view.c"
			gdouble _tmp16_;
			gdouble _tmp17_;
			gint _tmp18_;
			gdouble _tmp19_;
			gint _tmp20_;
			gdouble _tmp21_;
			gint _tmp22_;
			gint _tmp23_;
#line 862 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp16_ = line;
#line 862 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, _tmp16_, (gdouble) 0);
#line 863 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp17_ = line;
#line 863 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp18_ = self->priv->ruler_width;
#line 863 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, _tmp17_, (gdouble) (-_tmp18_));
#line 864 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp19_ = line;
#line 864 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp20_ = h;
#line 864 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, _tmp19_, (gdouble) _tmp20_);
#line 865 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp21_ = line;
#line 865 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp22_ = h;
#line 865 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp23_ = self->priv->ruler_width;
#line 865 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, _tmp21_, (gdouble) (_tmp22_ + _tmp23_));
#line 866 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			big_ruler_tick = 0;
#line 4675 "page-view.c"
		} else {
			gdouble _tmp24_;
			gdouble _tmp25_;
			gdouble _tmp26_;
			gint _tmp27_;
			gdouble _tmp28_;
			gint _tmp29_;
#line 870 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp24_ = line;
#line 870 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, _tmp24_, (gdouble) -2);
#line 871 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp25_ = line;
#line 871 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, _tmp25_, (gdouble) -5);
#line 872 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp26_ = line;
#line 872 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp27_ = h;
#line 872 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, _tmp26_, (gdouble) (_tmp27_ + 2));
#line 873 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp28_ = line;
#line 873 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp29_ = h;
#line 873 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, _tmp28_, (gdouble) (_tmp29_ + 5));
#line 4703 "page-view.c"
		}
#line 875 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp30_ = ruler_tick;
#line 875 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp31_ = self->priv->_page;
#line 875 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp32_ = page_get_dpi (_tmp31_);
#line 875 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp33_ = _tmp32_;
#line 875 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		ruler_tick = _tmp30_ + (_tmp33_ / 5);
#line 876 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp34_ = big_ruler_tick;
#line 876 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		big_ruler_tick = _tmp34_ + 1;
#line 4719 "page-view.c"
	}
#line 878 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_stroke (context);
#line 881 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	ruler_tick = 0;
#line 882 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	line = 0.0;
#line 883 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	big_ruler_tick = 5;
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	while (TRUE) {
#line 4731 "page-view.c"
		gint _tmp35_;
		Page* _tmp36_;
		gint _tmp37_;
		gint _tmp38_;
		gint _tmp39_;
		gint _tmp40_;
		gint _tmp55_;
		Page* _tmp56_;
		gint _tmp57_;
		gint _tmp58_;
		gint _tmp59_;
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp35_ = ruler_tick;
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp36_ = self->priv->_page;
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp37_ = page_get_height (_tmp36_);
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp38_ = _tmp37_;
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (!(_tmp35_ <= _tmp38_)) {
#line 884 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			break;
#line 4755 "page-view.c"
		}
#line 886 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp39_ = ruler_tick;
#line 886 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		line = page_view_page_to_screen_y (self, _tmp39_) + 0.5;
#line 888 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp40_ = big_ruler_tick;
#line 888 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (_tmp40_ == 5) {
#line 4765 "page-view.c"
			gdouble _tmp41_;
			gint _tmp42_;
			gdouble _tmp43_;
			gint _tmp44_;
			gdouble _tmp45_;
			gint _tmp46_;
			gint _tmp47_;
			gdouble _tmp48_;
#line 890 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp41_ = line;
#line 890 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, (gdouble) 0, _tmp41_);
#line 891 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp42_ = self->priv->ruler_width;
#line 891 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp43_ = line;
#line 891 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, (gdouble) (-_tmp42_), _tmp43_);
#line 893 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp44_ = w;
#line 893 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp45_ = line;
#line 893 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, (gdouble) _tmp44_, _tmp45_);
#line 894 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp46_ = w;
#line 894 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp47_ = self->priv->ruler_width;
#line 894 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp48_ = line;
#line 894 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, (gdouble) (_tmp46_ + _tmp47_), _tmp48_);
#line 895 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			big_ruler_tick = 0;
#line 4800 "page-view.c"
		} else {
			gdouble _tmp49_;
			gdouble _tmp50_;
			gint _tmp51_;
			gdouble _tmp52_;
			gint _tmp53_;
			gdouble _tmp54_;
#line 899 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp49_ = line;
#line 899 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, (gdouble) -2, _tmp49_);
#line 900 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp50_ = line;
#line 900 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, (gdouble) -5, _tmp50_);
#line 902 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp51_ = w;
#line 902 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp52_ = line;
#line 902 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_move_to (context, (gdouble) (_tmp51_ + 2), _tmp52_);
#line 903 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp53_ = w;
#line 903 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp54_ = line;
#line 903 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			cairo_line_to (context, (gdouble) (_tmp53_ + 5), _tmp54_);
#line 4828 "page-view.c"
		}
#line 905 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp55_ = ruler_tick;
#line 905 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp56_ = self->priv->_page;
#line 905 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp57_ = page_get_dpi (_tmp56_);
#line 905 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp58_ = _tmp57_;
#line 905 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		ruler_tick = _tmp55_ + (_tmp58_ / 5);
#line 906 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp59_ = big_ruler_tick;
#line 906 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		big_ruler_tick = _tmp59_ + 1;
#line 4844 "page-view.c"
	}
#line 908 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	cairo_stroke (context);
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp61_ = self->priv->_page;
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp62_ = page_get_is_scanning (_tmp61_);
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp63_ = _tmp62_;
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp63_) {
#line 4856 "page-view.c"
		Page* _tmp64_;
		gint _tmp65_;
		gint _tmp66_;
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp64_ = self->priv->_page;
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp65_ = page_get_scan_line (_tmp64_);
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp66_ = _tmp65_;
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp60_ = _tmp66_ > 0;
#line 4868 "page-view.c"
	} else {
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp60_ = FALSE;
#line 4872 "page-view.c"
	}
#line 911 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp60_) {
#line 4876 "page-view.c"
		gint scan_line = 0;
		Page* _tmp67_;
		gint _tmp68_;
		gint _tmp69_;
		gdouble s = 0.0;
		gdouble x1 = 0.0;
		gdouble y1 = 0.0;
		gdouble x2 = 0.0;
		gdouble y2 = 0.0;
		Page* _tmp70_;
		ScanDirection _tmp71_;
		ScanDirection _tmp72_;
		gdouble _tmp96_;
		gdouble _tmp97_;
		gdouble _tmp98_;
		gdouble _tmp99_;
#line 913 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp67_ = self->priv->_page;
#line 913 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp68_ = page_get_scan_line (_tmp67_);
#line 913 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp69_ = _tmp68_;
#line 913 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		scan_line = _tmp69_;
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp70_ = self->priv->_page;
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp71_ = page_get_scan_direction (_tmp70_);
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp72_ = _tmp71_;
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		switch (_tmp72_) {
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_TOP_TO_BOTTOM:
#line 4911 "page-view.c"
			{
				gint _tmp73_;
				gdouble _tmp74_;
				gint _tmp75_;
				gdouble _tmp76_;
#line 920 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp73_ = scan_line;
#line 920 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				s = (gdouble) page_view_page_to_screen_y (self, _tmp73_);
#line 921 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x1 = (gdouble) 0;
#line 921 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp74_ = s;
#line 921 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y1 = _tmp74_ + 0.5;
#line 922 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp75_ = w;
#line 922 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x2 = (gdouble) _tmp75_;
#line 922 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp76_ = s;
#line 922 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y2 = _tmp76_ + 0.5;
#line 923 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 4937 "page-view.c"
			}
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_BOTTOM_TO_TOP:
#line 4941 "page-view.c"
			{
				gint _tmp77_;
				gint _tmp78_;
				gdouble _tmp79_;
				gint _tmp80_;
				gint _tmp81_;
				gdouble _tmp82_;
#line 925 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp77_ = scan_line;
#line 925 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				s = (gdouble) page_view_page_to_screen_y (self, _tmp77_);
#line 926 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x1 = (gdouble) 0;
#line 926 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp78_ = h;
#line 926 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp79_ = s;
#line 926 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y1 = (_tmp78_ - _tmp79_) + 0.5;
#line 927 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp80_ = w;
#line 927 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x2 = (gdouble) _tmp80_;
#line 927 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp81_ = h;
#line 927 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp82_ = s;
#line 927 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y2 = (_tmp81_ - _tmp82_) + 0.5;
#line 928 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 4973 "page-view.c"
			}
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_LEFT_TO_RIGHT:
#line 4977 "page-view.c"
			{
				gint _tmp83_;
				gdouble _tmp84_;
				gdouble _tmp85_;
				gint _tmp86_;
#line 930 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp83_ = scan_line;
#line 930 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				s = (gdouble) page_view_page_to_screen_x (self, _tmp83_);
#line 931 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp84_ = s;
#line 931 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x1 = _tmp84_ + 0.5;
#line 931 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y1 = (gdouble) 0;
#line 932 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp85_ = s;
#line 932 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x2 = _tmp85_ + 0.5;
#line 932 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp86_ = h;
#line 932 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y2 = (gdouble) _tmp86_;
#line 933 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 5003 "page-view.c"
			}
#line 917 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			case SCAN_DIRECTION_RIGHT_TO_LEFT:
#line 5007 "page-view.c"
			{
				gint _tmp87_;
				gint _tmp88_;
				gdouble _tmp89_;
				gint _tmp90_;
				gdouble _tmp91_;
				gint _tmp92_;
#line 935 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp87_ = scan_line;
#line 935 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				s = (gdouble) page_view_page_to_screen_x (self, _tmp87_);
#line 936 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp88_ = w;
#line 936 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp89_ = s;
#line 936 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x1 = (_tmp88_ - _tmp89_) + 0.5;
#line 936 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y1 = (gdouble) 0;
#line 937 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp90_ = w;
#line 937 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp91_ = s;
#line 937 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x2 = (_tmp90_ - _tmp91_) + 0.5;
#line 937 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp92_ = h;
#line 937 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y2 = (gdouble) _tmp92_;
#line 938 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 5039 "page-view.c"
			}
			default:
			{
				gdouble _tmp93_;
				gdouble _tmp94_;
				gdouble _tmp95_;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y2 = (gdouble) 0;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp93_ = y2;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x2 = _tmp93_;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp94_ = x2;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				y1 = _tmp94_;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				_tmp95_ = y1;
#line 940 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				x1 = _tmp95_;
#line 941 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
				break;
#line 5062 "page-view.c"
			}
		}
#line 944 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp96_ = x1;
#line 944 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp97_ = y1;
#line 944 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_move_to (context, _tmp96_, _tmp97_);
#line 945 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp98_ = x2;
#line 945 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp99_ = y2;
#line 945 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_line_to (context, _tmp98_, _tmp99_);
#line 946 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_set_source_rgb (context, 1.0, 0.0, 0.0);
#line 947 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_stroke (context);
#line 5081 "page-view.c"
	}
#line 951 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp100_ = self->priv->_page;
#line 951 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp101_ = page_get_has_crop (_tmp100_);
#line 951 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp102_ = _tmp101_;
#line 951 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp102_) {
#line 5091 "page-view.c"
		gint x = 0;
		Page* _tmp103_;
		gint _tmp104_;
		gint _tmp105_;
		gint y = 0;
		Page* _tmp106_;
		gint _tmp107_;
		gint _tmp108_;
		gint crop_width = 0;
		Page* _tmp109_;
		gint _tmp110_;
		gint _tmp111_;
		gint crop_height = 0;
		Page* _tmp112_;
		gint _tmp113_;
		gint _tmp114_;
		gint dx = 0;
		gint _tmp115_;
		gint dy = 0;
		gint _tmp116_;
		gint dw = 0;
		gint _tmp117_;
		gint dh = 0;
		gint _tmp118_;
		gint _tmp119_;
		gint _tmp120_;
		gint _tmp121_;
		gint _tmp122_;
		gint _tmp123_;
		gint _tmp124_;
		gint _tmp125_;
		gint _tmp126_;
		gint _tmp127_;
		gint _tmp128_;
		gint _tmp129_;
		gint _tmp130_;
		gint _tmp131_;
		gint _tmp132_;
		gint _tmp133_;
		gint _tmp134_;
		gint _tmp135_;
		gint _tmp136_;
		gint _tmp137_;
		gint _tmp138_;
		gint _tmp139_;
		gint _tmp140_;
		gint _tmp141_;
		gint _tmp142_;
		gint _tmp143_;
		gint _tmp144_;
		gint _tmp145_;
		gint _tmp146_;
		gint _tmp147_;
		gint _tmp148_;
		gint _tmp149_;
		gint _tmp150_;
		gint _tmp151_;
		gint _tmp152_;
#line 953 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp103_ = self->priv->_page;
#line 953 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp104_ = page_get_crop_x (_tmp103_);
#line 953 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp105_ = _tmp104_;
#line 953 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		x = _tmp105_;
#line 954 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp106_ = self->priv->_page;
#line 954 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp107_ = page_get_crop_y (_tmp106_);
#line 954 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp108_ = _tmp107_;
#line 954 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		y = _tmp108_;
#line 955 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp109_ = self->priv->_page;
#line 955 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp110_ = page_get_crop_width (_tmp109_);
#line 955 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp111_ = _tmp110_;
#line 955 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		crop_width = _tmp111_;
#line 956 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp112_ = self->priv->_page;
#line 956 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp113_ = page_get_crop_height (_tmp112_);
#line 956 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp114_ = _tmp113_;
#line 956 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		crop_height = _tmp114_;
#line 958 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp115_ = x;
#line 958 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		dx = page_view_page_to_screen_x (self, _tmp115_);
#line 959 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp116_ = y;
#line 959 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		dy = page_view_page_to_screen_y (self, _tmp116_);
#line 960 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp117_ = crop_width;
#line 960 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		dw = page_view_page_to_screen_x (self, _tmp117_);
#line 961 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp118_ = crop_height;
#line 961 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		dh = page_view_page_to_screen_y (self, _tmp118_);
#line 964 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp119_ = w;
#line 964 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp120_ = h;
#line 964 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_rectangle (context, (gdouble) 0, (gdouble) 0, (gdouble) _tmp119_, (gdouble) _tmp120_);
#line 965 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_new_sub_path (context);
#line 966 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp121_ = dx;
#line 966 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp122_ = dy;
#line 966 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp123_ = dw;
#line 966 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp124_ = dh;
#line 966 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_rectangle (context, (gdouble) _tmp121_, (gdouble) _tmp122_, (gdouble) _tmp123_, (gdouble) _tmp124_);
#line 967 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_set_fill_rule (context, CAIRO_FILL_RULE_EVEN_ODD);
#line 968 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_set_source_rgba (context, 0.25, 0.25, 0.25, 0.2);
#line 969 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_fill (context);
#line 972 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_set_source_rgb (context, 1.0, 1.0, 1.0);
#line 973 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp125_ = self->priv->border_width;
#line 973 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp126_ = dy;
#line 973 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_move_to (context, (gdouble) (-_tmp125_), _tmp126_ - 1.5);
#line 974 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp127_ = self->priv->border_width;
#line 974 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp128_ = w;
#line 974 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp129_ = dy;
#line 974 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_line_to (context, (gdouble) (_tmp127_ + _tmp128_), _tmp129_ - 1.5);
#line 975 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp130_ = self->priv->border_width;
#line 975 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp131_ = dy;
#line 975 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp132_ = dh;
#line 975 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_move_to (context, (gdouble) (-_tmp130_), (_tmp131_ + _tmp132_) + 1.5);
#line 976 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp133_ = self->priv->border_width;
#line 976 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp134_ = w;
#line 976 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp135_ = dy;
#line 976 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp136_ = dh;
#line 976 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_line_to (context, (gdouble) (_tmp133_ + _tmp134_), (_tmp135_ + _tmp136_) + 1.5);
#line 977 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_stroke (context);
#line 979 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp137_ = dx;
#line 979 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp138_ = self->priv->border_width;
#line 979 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_move_to (context, _tmp137_ - 1.5, (gdouble) (-_tmp138_));
#line 980 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp139_ = dx;
#line 980 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp140_ = self->priv->border_width;
#line 980 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp141_ = h;
#line 980 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_line_to (context, _tmp139_ - 1.5, (gdouble) (_tmp140_ + _tmp141_));
#line 981 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp142_ = dx;
#line 981 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp143_ = dw;
#line 981 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp144_ = self->priv->border_width;
#line 981 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_move_to (context, (_tmp142_ + _tmp143_) + 1.5, (gdouble) (-_tmp144_));
#line 982 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp145_ = dx;
#line 982 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp146_ = dw;
#line 982 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp147_ = self->priv->border_width;
#line 982 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp148_ = h;
#line 982 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_line_to (context, (_tmp145_ + _tmp146_) + 1.5, (gdouble) (_tmp147_ + _tmp148_));
#line 983 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_stroke (context);
#line 985 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp149_ = dx;
#line 985 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp150_ = dy;
#line 985 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp151_ = dw;
#line 985 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp152_ = dh;
#line 985 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_rectangle (context, _tmp149_ - 0.5, _tmp150_ - 0.5, (gdouble) (_tmp151_ + 1), (gdouble) (_tmp152_ + 1));
#line 986 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_set_source_rgb (context, 0.0, 0.0, 0.0);
#line 987 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		cairo_stroke (context);
#line 5306 "page-view.c"
	}
}


static void
page_view_page_pixels_changed_cb (PageView* self,
                                  Page* p)
{
#line 1033 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 1033 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (p != NULL);
#line 1036 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 1037 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 5323 "page-view.c"
}


static void
page_view_page_size_changed_cb (PageView* self,
                                Page* p)
{
#line 1040 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 1040 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (p != NULL);
#line 1043 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 1044 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_SIZE_CHANGED_SIGNAL], 0);
#line 1045 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 5341 "page-view.c"
}


static void
page_view_page_overlay_changed_cb (PageView* self,
                                   Page* p)
{
#line 1048 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 1048 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (p != NULL);
#line 1050 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 5355 "page-view.c"
}


static void
page_view_scan_direction_changed_cb (PageView* self,
                                     Page* p)
{
#line 1053 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 1053 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (p != NULL);
#line 1056 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 1057 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_SIZE_CHANGED_SIGNAL], 0);
#line 1058 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 5373 "page-view.c"
}


Page*
page_view_get_page (PageView* self)
{
	Page* result;
	Page* _tmp0_;
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5390 "page-view.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return self ? g_object_ref (self) : NULL;
#line 5399 "page-view.c"
}


static void
page_view_set_page (PageView* self,
                    Page* value)
{
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (page_view_get_page (self) != value) {
#line 5411 "page-view.c"
		Page* _tmp0_;
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_g_object_unref0 (self->priv->_page);
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->_page = _tmp0_;
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_PAGE_PROPERTY]);
#line 5421 "page-view.c"
	}
}


gboolean
page_view_get_selected (PageView* self)
{
	gboolean result;
	gboolean _tmp0_;
#line 38 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 38 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->selected_;
#line 38 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 38 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5439 "page-view.c"
}


void
page_view_set_selected (PageView* self,
                        gboolean value)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp11_;
	gboolean _tmp12_;
#line 39 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = page_view_get_selected (self);
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = _tmp2_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp3_) {
#line 5461 "page-view.c"
		gboolean _tmp4_;
		gboolean _tmp5_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp4_ = page_view_get_selected (self);
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp5_ = _tmp4_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp1_ = _tmp5_;
#line 5470 "page-view.c"
	} else {
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp1_ = FALSE;
#line 5474 "page-view.c"
	}
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp1_) {
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp0_ = TRUE;
#line 5480 "page-view.c"
	} else {
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_;
		gboolean _tmp8_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp7_ = page_view_get_selected (self);
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp8_ = _tmp7_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		if (!_tmp8_) {
#line 5491 "page-view.c"
			gboolean _tmp9_;
			gboolean _tmp10_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp9_ = page_view_get_selected (self);
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp10_ = _tmp9_;
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp6_ = !_tmp10_;
#line 5500 "page-view.c"
		} else {
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
			_tmp6_ = FALSE;
#line 5504 "page-view.c"
		}
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp0_ = _tmp6_;
#line 5508 "page-view.c"
	}
#line 41 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp0_) {
#line 42 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 5514 "page-view.c"
	}
#line 43 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp11_ = page_view_get_selected (self);
#line 43 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp12_ = _tmp11_;
#line 43 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_set_selected (self, _tmp12_);
#line 44 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 39 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_SELECTED_PROPERTY]);
#line 5526 "page-view.c"
}


gint
page_view_get_x_offset (PageView* self)
{
	gint result;
	gint _tmp0_;
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_x_offset;
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5543 "page-view.c"
}


void
page_view_set_x_offset (PageView* self,
                        gint value)
{
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (page_view_get_x_offset (self) != value) {
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->_x_offset = value;
#line 66 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_X_OFFSET_PROPERTY]);
#line 5559 "page-view.c"
	}
}


gint
page_view_get_y_offset (PageView* self)
{
	gint result;
	gint _tmp0_;
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_y_offset;
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5577 "page-view.c"
}


void
page_view_set_y_offset (PageView* self,
                        gint value)
{
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (page_view_get_y_offset (self) != value) {
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->_y_offset = value;
#line 67 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_Y_OFFSET_PROPERTY]);
#line 5593 "page-view.c"
	}
}


GdkCursorType
page_view_get_cursor (PageView* self)
{
	GdkCursorType result;
	GdkCursorType _tmp0_;
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_cursor;
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5611 "page-view.c"
}


static void
page_view_set_cursor (PageView* self,
                      GdkCursorType value)
{
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (page_view_get_cursor (self) != value) {
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		self->priv->_cursor = value;
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_CURSOR_PROPERTY]);
#line 5627 "page-view.c"
	}
}


gint
page_view_get_width (PageView* self)
{
	gint result;
	gint _tmp0_;
#line 993 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 993 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->width_;
#line 993 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 993 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5645 "page-view.c"
}


void
page_view_set_width (PageView* self,
                     gint value)
{
	gint h = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	Page* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gboolean _tmp6_ = FALSE;
	gint _tmp7_;
	gint _tmp10_;
#line 994 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_height (_tmp0_);
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = self->priv->_page;
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = page_get_width (_tmp3_);
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = _tmp4_;
#line 997 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	h = (gint) ((((gdouble) value) * _tmp2_) / _tmp5_);
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = self->priv->width_;
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp7_ == value) {
#line 5683 "page-view.c"
		gint _tmp8_;
		gint _tmp9_;
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp8_ = self->priv->height_;
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = h;
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = _tmp8_ == _tmp9_;
#line 5692 "page-view.c"
	} else {
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = FALSE;
#line 5696 "page-view.c"
	}
#line 998 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp6_) {
#line 999 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 5702 "page-view.c"
	}
#line 1001 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->width_ = value;
#line 1002 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = h;
#line 1002 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->height_ = _tmp10_;
#line 1005 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 1007 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_SIZE_CHANGED_SIGNAL], 0);
#line 1008 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 994 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_WIDTH_PROPERTY]);
#line 5718 "page-view.c"
}


gint
page_view_get_height (PageView* self)
{
	gint result;
	gint _tmp0_;
#line 1014 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 1014 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->height_;
#line 1014 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	result = _tmp0_;
#line 1014 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	return result;
#line 5735 "page-view.c"
}


void
page_view_set_height (PageView* self,
                      gint value)
{
	gint w = 0;
	Page* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	Page* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gboolean _tmp6_ = FALSE;
	gint _tmp7_;
	gint _tmp8_;
	gint _tmp10_;
#line 1015 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_return_if_fail (self != NULL);
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp1_ = page_get_width (_tmp0_);
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = _tmp1_;
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp3_ = self->priv->_page;
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = page_get_height (_tmp3_);
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp5_ = _tmp4_;
#line 1018 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	w = (gint) ((((gdouble) value) * _tmp2_) / _tmp5_);
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp7_ = self->priv->width_;
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = w;
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp7_ == _tmp8_) {
#line 5776 "page-view.c"
		gint _tmp9_;
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp9_ = self->priv->height_;
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = _tmp9_ == value;
#line 5782 "page-view.c"
	} else {
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		_tmp6_ = FALSE;
#line 5786 "page-view.c"
	}
#line 1019 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	if (_tmp6_) {
#line 1020 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		return;
#line 5792 "page-view.c"
	}
#line 1022 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp10_ = w;
#line 1022 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->width_ = _tmp10_;
#line 1023 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->height_ = value;
#line 1026 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 1028 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_SIZE_CHANGED_SIGNAL], 0);
#line 1029 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_emit (self, page_view_signals[PAGE_VIEW_CHANGED_SIGNAL], 0);
#line 1015 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_notify_by_pspec ((GObject *) self, page_view_properties[PAGE_VIEW_HEIGHT_PROPERTY]);
#line 5808 "page-view.c"
}


static void
page_view_class_init (PageViewClass * klass)
{
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_parent_class = g_type_class_peek_parent (klass);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_type_class_add_private (klass, sizeof (PageViewPrivate));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_page_view_get_property;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_page_view_set_property;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	G_OBJECT_CLASS (klass)->finalize = page_view_finalize;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_PAGE_PROPERTY, page_view_properties[PAGE_VIEW_PAGE_PROPERTY] = g_param_spec_object ("page", "page", "page", TYPE_PAGE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_SELECTED_PROPERTY, page_view_properties[PAGE_VIEW_SELECTED_PROPERTY] = g_param_spec_boolean ("selected", "selected", "selected", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_X_OFFSET_PROPERTY, page_view_properties[PAGE_VIEW_X_OFFSET_PROPERTY] = g_param_spec_int ("x-offset", "x-offset", "x-offset", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_Y_OFFSET_PROPERTY, page_view_properties[PAGE_VIEW_Y_OFFSET_PROPERTY] = g_param_spec_int ("y-offset", "y-offset", "y-offset", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_CURSOR_PROPERTY, page_view_properties[PAGE_VIEW_CURSOR_PROPERTY] = g_param_spec_enum ("cursor", "cursor", "cursor", gdk_cursor_type_get_type (), GDK_ARROW, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_WIDTH_PROPERTY, page_view_properties[PAGE_VIEW_WIDTH_PROPERTY] = g_param_spec_int ("width", "width", "width", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PAGE_VIEW_HEIGHT_PROPERTY, page_view_properties[PAGE_VIEW_HEIGHT_PROPERTY] = g_param_spec_int ("height", "height", "height", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_signals[PAGE_VIEW_SIZE_CHANGED_SIGNAL] = g_signal_new ("size-changed", TYPE_PAGE_VIEW, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	page_view_signals[PAGE_VIEW_CHANGED_SIGNAL] = g_signal_new ("changed", TYPE_PAGE_VIEW, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 5843 "page-view.c"
}


static void
page_view_instance_init (PageView * self)
{
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv = PAGE_VIEW_GET_PRIVATE (self);
#line 32 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->image = NULL;
#line 35 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->selected_ = FALSE;
#line 48 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->ruler_width = 8;
#line 50 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->border_width = 2;
#line 53 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->update_image = TRUE;
#line 78 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->_cursor = GDK_ARROW;
#line 80 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self->priv->animate_n_segments = 7;
#line 5866 "page-view.c"
}


static void
page_view_finalize (GObject * obj)
{
	PageView * self;
	Page* _tmp0_;
	guint _tmp1_;
	Page* _tmp2_;
	guint _tmp3_;
	Page* _tmp4_;
	guint _tmp5_;
	Page* _tmp6_;
	guint _tmp7_;
	Page* _tmp8_;
	guint _tmp9_;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_PAGE_VIEW, PageView);
#line 99 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp0_ = self->priv->_page;
#line 99 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_parse_name ("pixels-changed", TYPE_PAGE, &_tmp1_, NULL, FALSE);
#line 99 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_handlers_disconnect_matched (_tmp0_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp1_, 0, NULL, (GCallback) _page_view_page_pixels_changed_cb_page_pixels_changed, self);
#line 100 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp2_ = self->priv->_page;
#line 100 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_parse_name ("size-changed", TYPE_PAGE, &_tmp3_, NULL, FALSE);
#line 100 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_handlers_disconnect_matched (_tmp2_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp3_, 0, NULL, (GCallback) _page_view_page_size_changed_cb_page_size_changed, self);
#line 101 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp4_ = self->priv->_page;
#line 101 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_parse_name ("crop-changed", TYPE_PAGE, &_tmp5_, NULL, FALSE);
#line 101 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_handlers_disconnect_matched (_tmp4_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp5_, 0, NULL, (GCallback) _page_view_page_overlay_changed_cb_page_crop_changed, self);
#line 102 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp6_ = self->priv->_page;
#line 102 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_parse_name ("scan-line-changed", TYPE_PAGE, &_tmp7_, NULL, FALSE);
#line 102 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_handlers_disconnect_matched (_tmp6_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp7_, 0, NULL, (GCallback) _page_view_page_overlay_changed_cb_page_scan_line_changed, self);
#line 103 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_tmp8_ = self->priv->_page;
#line 103 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_parse_name ("scan-direction-changed", TYPE_PAGE, &_tmp9_, NULL, FALSE);
#line 103 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	g_signal_handlers_disconnect_matched (_tmp8_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp9_, 0, NULL, (GCallback) _page_view_scan_direction_changed_cb_page_scan_direction_changed, self);
#line 29 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_g_object_unref0 (self->priv->_page);
#line 32 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	_g_object_unref0 (self->priv->image);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	G_OBJECT_CLASS (page_view_parent_class)->finalize (obj);
#line 5922 "page-view.c"
}


GType
page_view_get_type (void)
{
	static volatile gsize page_view_type_id__volatile = 0;
	if (g_once_init_enter (&page_view_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PageViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) page_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PageView), 0, (GInstanceInitFunc) page_view_instance_init, NULL };
		GType page_view_type_id;
		page_view_type_id = g_type_register_static (G_TYPE_OBJECT, "PageView", &g_define_type_info, 0);
		g_once_init_leave (&page_view_type_id__volatile, page_view_type_id);
	}
	return page_view_type_id__volatile;
}


static void
_vala_page_view_get_property (GObject * object,
                              guint property_id,
                              GValue * value,
                              GParamSpec * pspec)
{
	PageView * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_PAGE_VIEW, PageView);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	switch (property_id) {
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_PAGE_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_object (value, page_view_get_page (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_SELECTED_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_boolean (value, page_view_get_selected (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_X_OFFSET_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_int (value, page_view_get_x_offset (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_Y_OFFSET_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_int (value, page_view_get_y_offset (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_CURSOR_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_enum (value, page_view_get_cursor (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_WIDTH_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_int (value, page_view_get_width (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_HEIGHT_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		g_value_set_int (value, page_view_get_height (self));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 5992 "page-view.c"
		default:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 5998 "page-view.c"
	}
}


static void
_vala_page_view_set_property (GObject * object,
                              guint property_id,
                              const GValue * value,
                              GParamSpec * pspec)
{
	PageView * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_PAGE_VIEW, PageView);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
	switch (property_id) {
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_PAGE_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_page (self, g_value_get_object (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_SELECTED_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_selected (self, g_value_get_boolean (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_X_OFFSET_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_x_offset (self, g_value_get_int (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_Y_OFFSET_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_y_offset (self, g_value_get_int (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_CURSOR_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_cursor (self, g_value_get_enum (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_WIDTH_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_width (self, g_value_get_int (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		case PAGE_VIEW_HEIGHT_PROPERTY:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		page_view_set_height (self, g_value_get_int (value));
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 6055 "page-view.c"
		default:
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 26 "/builddir/build/BUILD/simple-scan-3.38.5/src/page-view.vala"
		break;
#line 6061 "page-view.c"
	}
}



